For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
      • GETGet a list of all quotes
      • POSTCreate a quote
      • POSTCreate a quote pricing plan subscription together with a pricing plan schedule
      • POSTCreate a quote based on an existing subscription together with a pricing plan schedule
      • GETGet quotes that require approval review by the logged in user
      • GETGet a quote by resource ID
      • DELDelete a quote
      • PATCHUpdate a quote
  • Identity API
  • Transaction API
  • Event API
LoginSandbox
Configuration APIQuotes

Create a quote based on an existing subscription together with a pricing plan schedule

POST
/v:version/quotes/upgrade
POST
/v:version/quotes/upgrade
$curl -X POST https://test.api.solvimon.com/v1/quotes/upgrade \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{}'
1{
2 "quote": {
3 "object_type": "string",
4 "id": "string",
5 "created_at": "string",
6 "updated_at": "string",
7 "status": "string",
8 "customer_id": "string",
9 "customer": {
10 "object_type": "string",
11 "id": "string",
12 "created_at": "string",
13 "parent_customer_id": "string",
14 "parent_customer_ids": [
15 "string"
16 ],
17 "reference": "string",
18 "status": "DRAFT",
19 "timezone": "string",
20 "type": "ORGANIZATION",
21 "email": "string",
22 "notification_preferences": [
23 {
24 "type": "INVOICE",
25 "channels": [
26 {
27 "type": "EMAIL",
28 "enabled": true
29 }
30 ]
31 }
32 ],
33 "locale": "string",
34 "individual": {
35 "name": {
36 "first_name": "string",
37 "last_name": "string",
38 "infix": "string"
39 },
40 "residential_address": {
41 "line1": "string",
42 "line2": "string",
43 "city": "string",
44 "postal_code": "string",
45 "state": "string",
46 "country": "AD"
47 }
48 },
49 "organization": {
50 "legal_name": "string",
51 "tax_id": "string",
52 "tax_ids": [
53 {
54 "id": "string",
55 "type": "GENERIC_TAX_ID",
56 "display_name": "string",
57 "tax_id_validation_result": {
58 "id": "string",
59 "validation_date": "string",
60 "source": "string",
61 "valid": "VALID",
62 "message": "string"
63 }
64 }
65 ],
66 "registration_number": "string",
67 "tax_exempt": true,
68 "tax_exempt_note": "string",
69 "registered_address": {
70 "line1": "string",
71 "line2": "string",
72 "city": "string",
73 "postal_code": "string",
74 "state": "string",
75 "country": "AD"
76 },
77 "tax_registrations": [
78 {
79 "id": "string",
80 "description": "string",
81 "tax_id": "string",
82 "tax_ids": [
83 {
84 "id": "string",
85 "type": "GENERIC_TAX_ID",
86 "display_name": "string",
87 "tax_id_validation_result": {
88 "id": "string",
89 "validation_date": "string",
90 "source": "string",
91 "valid": "VALID",
92 "message": "string"
93 }
94 }
95 ],
96 "registration_number": "string",
97 "registered_address": {
98 "line1": "string",
99 "line2": "string",
100 "city": "string",
101 "postal_code": "string",
102 "state": "string",
103 "country": "AD"
104 }
105 }
106 ]
107 },
108 "custom_fields": [
109 {
110 "id": "string",
111 "reference": "string",
112 "value": "string",
113 "values": [
114 "string"
115 ],
116 "integration_details": {
117 "id": "string",
118 "reference": "string",
119 "payment_gateway_variant": "ADYEN",
120 "adyen": {
121 "recurring_detail_reference": "string"
122 },
123 "stripe": {
124 "payment_method_id": "string"
125 }
126 }
127 }
128 ],
129 "processing_only": true,
130 "pricing_plan_subscription_selector": {
131 "data": [
132 {
133 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
134 "value": "string"
135 }
136 ],
137 "rules": [
138 {
139 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
140 "type": "EQUALS"
141 }
142 ],
143 "filters": [
144 {
145 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
146 "type": "EQUALS",
147 "value": "string"
148 }
149 ],
150 "fallback": "LATEST"
151 },
152 "linked_integrations": [
153 {
154 "id": "string",
155 "link_details": [
156 {
157 "url": "string",
158 "custom_field_name": "string"
159 }
160 ]
161 }
162 ],
163 "roles": [
164 "DEFAULT"
165 ],
166 "seller_details": {
167 "default_billing_entity_id": "string"
168 }
169 },
170 "description": "string",
171 "contact_id": "string",
172 "owner_user_id": "string",
173 "owner_user": {
174 "object_type": "string",
175 "id": "string",
176 "entity_id": "string",
177 "created_at": "string",
178 "status": "INVITED",
179 "username": "string",
180 "password": "string",
181 "invite_expired": true,
182 "active": true,
183 "account_memberships": [
184 {
185 "object_type": "string",
186 "id": "string",
187 "account_id": "string",
188 "account": {
189 "id": "string",
190 "reference": "string",
191 "account_type_code": "string",
192 "environment": "string",
193 "account_group_id": "string",
194 "parent_id": "string",
195 "platform_id": "string"
196 },
197 "type": "ADMIN",
198 "role_ids": [
199 "string"
200 ],
201 "account_reference": "string",
202 "environment": "string",
203 "roles": [
204 {
205 "object_type": "string",
206 "id": "string",
207 "name": "string",
208 "description": "string",
209 "entity_id": "string",
210 "child_role_ids": [
211 "string"
212 ],
213 "child_roles": [
214 {}
215 ]
216 }
217 ]
218 }
219 ],
220 "team_memberships": [
221 {
222 "team_id": "string",
223 "start_at": "2024-01-15T09:30:00Z",
224 "end_at": "2024-01-15T09:30:00Z",
225 "account_memberships": [
226 {
227 "object_type": "string",
228 "id": "string",
229 "account_id": "string",
230 "account": {
231 "id": "string",
232 "reference": "string",
233 "account_type_code": "string",
234 "environment": "string",
235 "account_group_id": "string",
236 "parent_id": "string",
237 "platform_id": "string"
238 },
239 "type": "ADMIN",
240 "role_ids": [
241 "string"
242 ],
243 "account_reference": "string",
244 "environment": "string",
245 "roles": [
246 {
247 "object_type": "string",
248 "id": "string",
249 "name": "string",
250 "description": "string",
251 "entity_id": "string",
252 "child_role_ids": [
253 "string"
254 ],
255 "child_roles": [
256 {}
257 ]
258 }
259 ]
260 }
261 ]
262 }
263 ]
264 },
265 "quote_version_infos": [
266 {
267 "version": 1,
268 "id": "string",
269 "status": "string",
270 "pricing_plan_subscription_id": "string"
271 }
272 ]
273 },
274 "quote_version": {
275 "object_type": "string",
276 "id": "string",
277 "created_at": "string",
278 "updated_at": "string",
279 "expires_at": "2024-01-15T09:30:00Z",
280 "quote_id": "string",
281 "version": 1,
282 "pricing_plan_subscription_info": {
283 "id": "string",
284 "upgraded_from_pricing_plan_subscription_id": "string"
285 },
286 "status": "DRAFT",
287 "actions": [
288 {
289 "created_at": "string",
290 "type": "string",
291 "status": "string",
292 "send": {
293 "to_email_addresses": [
294 "string"
295 ],
296 "overwrite_to": true,
297 "cc_email_addresses": [
298 "string"
299 ],
300 "bcc_email_addresses": [
301 "string"
302 ]
303 },
304 "accept": {
305 "name": {
306 "first_name": "string",
307 "last_name": "string",
308 "infix": "string"
309 },
310 "role": "string"
311 },
312 "reject": {
313 "name": {
314 "first_name": "string",
315 "last_name": "string",
316 "infix": "string"
317 },
318 "role": "string",
319 "reason": "string"
320 },
321 "create_subscription": {
322 "pricing_plan_subscription_id": "string"
323 },
324 "request_signature": {
325 "signature_request_id": "string",
326 "signature_request": {
327 "object_type": "string",
328 "id": "string",
329 "created_at": "string",
330 "updated_at": "string",
331 "status": "IN_PROGRESS",
332 "type": "QUOTE_VERSION",
333 "quote_version": {
334 "quote_version_id": "string"
335 },
336 "recipients": [
337 {
338 "id": "string",
339 "contact_id": "string",
340 "name": {
341 "first_name": "string",
342 "last_name": "string",
343 "infix": "string"
344 },
345 "email": "string",
346 "role": "SIGNER",
347 "status": "PENDING"
348 }
349 ]
350 }
351 },
352 "sign": {
353 "signature_request_id": "string"
354 }
355 }
356 ],
357 "link": {
358 "expiry_period": {
359 "type": "DAY",
360 "value": 1
361 },
362 "portal_url_id": "string",
363 "url": "string"
364 },
365 "internal_notes": [
366 "string"
367 ],
368 "notes": [
369 "string"
370 ],
371 "approval_request_id": "string",
372 "recipients": [
373 {
374 "type": "CONTACT",
375 "contact": {
376 "contact_id": "string",
377 "contact": {
378 "object_type": "string",
379 "id": "string",
380 "reference": "string",
381 "customer_id": "string",
382 "name": {
383 "first_name": "string",
384 "last_name": "string",
385 "infix": "string"
386 },
387 "email": "string",
388 "notification_preferences": [
389 {
390 "type": "INVOICE",
391 "channels": [
392 {
393 "type": "EMAIL",
394 "enabled": true
395 }
396 ]
397 }
398 ],
399 "custom_fields": [
400 {
401 "id": "string",
402 "reference": "string",
403 "value": "string",
404 "values": [
405 "string"
406 ],
407 "integration_details": {
408 "id": "string",
409 "reference": "string",
410 "payment_gateway_variant": "ADYEN",
411 "adyen": {
412 "recurring_detail_reference": "string"
413 },
414 "stripe": {
415 "payment_method_id": "string"
416 }
417 }
418 }
419 ],
420 "linked_integrations": [
421 {
422 "id": "string",
423 "link_details": [
424 {
425 "url": "string",
426 "custom_field_name": "string"
427 }
428 ]
429 }
430 ]
431 }
432 },
433 "details": {
434 "name": {
435 "first_name": "string",
436 "last_name": "string",
437 "infix": "string"
438 },
439 "email": "string"
440 },
441 "role": "SIGNER"
442 }
443 ]
444 },
445 "pricing_plan_subscription": {
446 "object_type": "string",
447 "id": "string",
448 "created_at": "string",
449 "updated_at": "string",
450 "activated_at": "string",
451 "status": "DRAFT",
452 "reference": "string",
453 "name": "string",
454 "purchase_order_number": "string",
455 "customer_id": "string",
456 "customer_reference": "string",
457 "customer": {
458 "object_type": "string",
459 "id": "string",
460 "created_at": "string",
461 "parent_customer_id": "string",
462 "parent_customer_ids": [
463 "string"
464 ],
465 "reference": "string",
466 "status": "DRAFT",
467 "timezone": "string",
468 "type": "ORGANIZATION",
469 "email": "string",
470 "notification_preferences": [
471 {
472 "type": "INVOICE",
473 "channels": [
474 {
475 "type": "EMAIL",
476 "enabled": true
477 }
478 ]
479 }
480 ],
481 "locale": "string",
482 "individual": {
483 "name": {
484 "first_name": "string",
485 "last_name": "string",
486 "infix": "string"
487 },
488 "residential_address": {
489 "line1": "string",
490 "line2": "string",
491 "city": "string",
492 "postal_code": "string",
493 "state": "string",
494 "country": "AD"
495 }
496 },
497 "organization": {
498 "legal_name": "string",
499 "tax_id": "string",
500 "tax_ids": [
501 {
502 "id": "string",
503 "type": "GENERIC_TAX_ID",
504 "display_name": "string",
505 "tax_id_validation_result": {
506 "id": "string",
507 "validation_date": "string",
508 "source": "string",
509 "valid": "VALID",
510 "message": "string"
511 }
512 }
513 ],
514 "registration_number": "string",
515 "tax_exempt": true,
516 "tax_exempt_note": "string",
517 "registered_address": {
518 "line1": "string",
519 "line2": "string",
520 "city": "string",
521 "postal_code": "string",
522 "state": "string",
523 "country": "AD"
524 },
525 "tax_registrations": [
526 {
527 "id": "string",
528 "description": "string",
529 "tax_id": "string",
530 "tax_ids": [
531 {
532 "id": "string",
533 "type": "GENERIC_TAX_ID",
534 "display_name": "string",
535 "tax_id_validation_result": {
536 "id": "string",
537 "validation_date": "string",
538 "source": "string",
539 "valid": "VALID",
540 "message": "string"
541 }
542 }
543 ],
544 "registration_number": "string",
545 "registered_address": {
546 "line1": "string",
547 "line2": "string",
548 "city": "string",
549 "postal_code": "string",
550 "state": "string",
551 "country": "AD"
552 }
553 }
554 ]
555 },
556 "custom_fields": [
557 {
558 "id": "string",
559 "reference": "string",
560 "value": "string",
561 "values": [
562 "string"
563 ],
564 "integration_details": {
565 "id": "string",
566 "reference": "string",
567 "payment_gateway_variant": "ADYEN",
568 "adyen": {
569 "recurring_detail_reference": "string"
570 },
571 "stripe": {
572 "payment_method_id": "string"
573 }
574 }
575 }
576 ],
577 "processing_only": true,
578 "pricing_plan_subscription_selector": {
579 "data": [
580 {
581 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
582 "value": "string"
583 }
584 ],
585 "rules": [
586 {
587 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
588 "type": "EQUALS"
589 }
590 ],
591 "filters": [
592 {
593 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
594 "type": "EQUALS",
595 "value": "string"
596 }
597 ],
598 "fallback": "LATEST"
599 },
600 "linked_integrations": [
601 {
602 "id": "string",
603 "link_details": [
604 {
605 "url": "string",
606 "custom_field_name": "string"
607 }
608 ]
609 }
610 ],
611 "roles": [
612 "DEFAULT"
613 ],
614 "seller_details": {
615 "default_billing_entity_id": "string"
616 }
617 },
618 "billing_entity_id": "string",
619 "billing_entity_reference": "string",
620 "billing_entity": {
621 "object_type": "string",
622 "id": "string",
623 "created_at": "string",
624 "reference": "string",
625 "status": "string",
626 "timezone": "string",
627 "legal_name": "string",
628 "tax_id": "string",
629 "tax_ids": [
630 {
631 "id": "string",
632 "type": "GENERIC_TAX_ID",
633 "display_name": "string",
634 "tax_id_validation_result": {
635 "id": "string",
636 "validation_date": "string",
637 "source": "string",
638 "valid": "VALID",
639 "message": "string"
640 }
641 }
642 ],
643 "registration_number": "string",
644 "registered_address": {
645 "line1": "string",
646 "line2": "string",
647 "city": "string",
648 "postal_code": "string",
649 "state": "string",
650 "country": "AD"
651 },
652 "email": "string",
653 "tax_settings": {
654 "apply_local_vat_for_missing_tax_id": true
655 },
656 "tax_registrations": [
657 {
658 "id": "string",
659 "description": "string",
660 "tax_id": "string",
661 "tax_ids": [
662 {
663 "id": "string",
664 "type": "GENERIC_TAX_ID",
665 "display_name": "string",
666 "tax_id_validation_result": {
667 "id": "string",
668 "validation_date": "string",
669 "source": "string",
670 "valid": "VALID",
671 "message": "string"
672 }
673 }
674 ],
675 "registration_number": "string",
676 "registered_address": {
677 "line1": "string",
678 "line2": "string",
679 "city": "string",
680 "postal_code": "string",
681 "state": "string",
682 "country": "AD"
683 }
684 }
685 ],
686 "custom_fields": [
687 {
688 "id": "string",
689 "reference": "string",
690 "value": "string",
691 "values": [
692 "string"
693 ],
694 "integration_details": {
695 "id": "string",
696 "reference": "string",
697 "payment_gateway_variant": "ADYEN",
698 "adyen": {
699 "recurring_detail_reference": "string"
700 },
701 "stripe": {
702 "payment_method_id": "string"
703 }
704 }
705 }
706 ],
707 "default_customer_country_selector": [
708 "AD"
709 ],
710 "default_billing_currency_selector": [
711 "AED"
712 ],
713 "linked_integrations": [
714 {
715 "id": "string",
716 "link_details": [
717 {
718 "url": "string",
719 "custom_field_name": "string"
720 }
721 ]
722 }
723 ]
724 },
725 "billing_period": {
726 "type": "DAY",
727 "value": 1
728 },
729 "billing_currency": "AED",
730 "due_date_configuration": {
731 "type": "PERIOD_AFTER_INVOICE_DATE",
732 "period": {
733 "type": "DAY",
734 "value": 1
735 }
736 },
737 "initial_term": {
738 "type": "DAY",
739 "value": 1
740 },
741 "renewal_term": {
742 "type": "DAY",
743 "value": 1
744 },
745 "auto_renewal": true,
746 "type": "QUOTE",
747 "variant": "DEFAULT",
748 "billing_time": "EXACT",
749 "combine": true,
750 "quote_version_id": "string",
751 "upgraded_from_pricing_plan_subscription_id": "string",
752 "upgraded_to_pricing_plan_subscription_id": "string",
753 "payment_acceptor_ids": [
754 "string"
755 ],
756 "payment_acceptors": [
757 {
758 "object_type": "string",
759 "id": "string",
760 "billing_entity_id": "string",
761 "customer_id": "string",
762 "reference": "string",
763 "name": "string",
764 "description": "string",
765 "type": "BANK_ACCOUNT",
766 "bank_account": {
767 "type": "IBAN",
768 "iban": "string",
769 "country": "string",
770 "bic": "string",
771 "bank_name": "string",
772 "bank_address": {
773 "line1": "string",
774 "line2": "string",
775 "city": "string",
776 "postal_code": "string",
777 "state": "string",
778 "country": "AD"
779 },
780 "account_number_and_bic": {
781 "account_number": "string",
782 "bank_code": "string",
783 "bic": "string"
784 },
785 "uk_local": {
786 "account_number": "string",
787 "sort_code": "string"
788 },
789 "us_local": {
790 "account_number": "string",
791 "account_type": "CHECKING",
792 "bank_code": "string",
793 "routing_number": "string"
794 },
795 "br_local": {
796 "branch": "string",
797 "account_number": "string",
798 "bic": "string"
799 },
800 "ar_local": {
801 "cbu": "string",
802 "account_number": "string",
803 "bic": "string"
804 },
805 "mx_local": {
806 "clabe": "string",
807 "account_number": "string",
808 "bic": "string"
809 },
810 "account_number": "string",
811 "bank_code": "string",
812 "routing_number": "string",
813 "account_type": "CHECKING"
814 },
815 "payment_gateway": {
816 "integration_id": "string",
817 "integration": {
818 "object_type": "string",
819 "id": "string",
820 "reference": "string",
821 "name": "string",
822 "description": "string",
823 "status": "DRAFT",
824 "message": "string",
825 "type": "PAYMENT_GATEWAY",
826 "authentication": {
827 "api_key": {
828 "header": "string",
829 "value": "string"
830 },
831 "client_credentials": {
832 "client_id": "string",
833 "client_secret": "string"
834 },
835 "username_password": {
836 "username": "string",
837 "password": "string"
838 }
839 },
840 "payment_gateway": {
841 "variant": "ADYEN",
842 "adyen": {
843 "company_account": "string",
844 "environment": "LIVE",
845 "live_prefix": "string",
846 "merchant_accounts": [
847 "string"
848 ],
849 "public_key": "string",
850 "signing_secret": "string",
851 "ownership": "PLATFORM",
852 "system_ownership_details": {
853 "account_holder_id": "string",
854 "balance_account_id": "string",
855 "legal_entity_id": "string"
856 },
857 "balance_platform_details": {
858 "account": "string",
859 "authentication": {
860 "api_key": {
861 "header": "string",
862 "value": "string"
863 },
864 "client_credentials": {
865 "client_id": "string",
866 "client_secret": "string"
867 },
868 "username_password": {
869 "username": "string",
870 "password": "string"
871 }
872 }
873 },
874 "legal_entity_manager_details": {
875 "authentication": {
876 "api_key": {
877 "header": "string",
878 "value": "string"
879 },
880 "client_credentials": {
881 "client_id": "string",
882 "client_secret": "string"
883 },
884 "username_password": {
885 "username": "string",
886 "password": "string"
887 }
888 }
889 },
890 "enabled_payment_methods": [
891 "string"
892 ]
893 },
894 "stripe": {
895 "public_key": "string",
896 "signing_secret": "string"
897 }
898 },
899 "e_invoicing": {
900 "mandates": [
901 {
902 "name": "string",
903 "country": "string",
904 "mappings": [
905 {
906 "target": "string",
907 "source": "string",
908 "description": "string"
909 }
910 ],
911 "condition_groups": [
912 {
913 "conditions": [
914 {
915 "field": "string",
916 "comparator_type": "EQUALS",
917 "value": "string"
918 }
919 ]
920 }
921 ],
922 "include_pdf_in_einvoice": true,
923 "supported_file_formats": [
924 {
925 "type": "string",
926 "description": "string"
927 }
928 ]
929 }
930 ],
931 "processor": "AVALARA"
932 },
933 "data_export": {
934 "variant": "S3",
935 "s3": {
936 "bucket_name": "string",
937 "bucket_path": "string",
938 "bucket_region": "string"
939 },
940 "bigquery": {
941 "project_id": "string",
942 "dataset_id": "string",
943 "dataset_location": "string",
944 "gcs_bucket_name": "string",
945 "gcs_hmac_key_access_id": "string",
946 "gcs_hmac_key_secret": "string"
947 },
948 "gcs": {
949 "bucket_region": "string",
950 "bucket_name": "string",
951 "bucket_path": "string",
952 "flattening": true
953 },
954 "snowflake": {
955 "host": "string",
956 "role": "string",
957 "warehouse": "string",
958 "database": "string",
959 "schema": "string"
960 }
961 },
962 "tax_calculation": {
963 "billing_entity_id": "string",
964 "variant": "AVATAX",
965 "ava_tax": {
966 "company_code": "string"
967 },
968 "custom_tax_codes": [
969 {
970 "field": "INVOICE_COMMITMENT",
971 "value": "string"
972 }
973 ],
974 "enable_tax_filing": true
975 },
976 "linked_resources_configurations": [
977 {
978 "resource_type": "string",
979 "link_details": [
980 {
981 "base_url": "string",
982 "custom_field_reference": "string"
983 }
984 ]
985 }
986 ],
987 "email_provider": {
988 "variant": "SYSTEM",
989 "mailgun": {
990 "domain": "string",
991 "region": "US",
992 "plan": "string"
993 },
994 "delivery_window": {
995 "type": "DAY",
996 "value": 1
997 },
998 "use_localized_templates": true
999 }
1000 },
1001 "store_payment_method": true,
1002 "auto_charge_payment_method": true,
1003 "collection_type": "LINK",
1004 "link": {
1005 "expiry_period": {
1006 "type": "DAY",
1007 "value": 1
1008 }
1009 },
1010 "adyen": {
1011 "auto_rescue": {
1012 "enabled": true,
1013 "period": {
1014 "type": "DAY",
1015 "value": 1
1016 }
1017 },
1018 "merchant_account": "string",
1019 "allowed_payment_methods": [
1020 "string"
1021 ]
1022 }
1023 },
1024 "custom_redirect": {
1025 "url": "string"
1026 },
1027 "status": "DRAFT"
1028 }
1029 ],
1030 "pricing_plan_schedule_infos": [
1031 {
1032 "id": "string",
1033 "pricing_plan_schedule": {
1034 "object_type": "string",
1035 "id": "string",
1036 "type": "TRIAL",
1037 "pricing_plan_subscription_id": "string",
1038 "pricing_plan_id": "string",
1039 "pricing_plan_version_id": "string",
1040 "start_at": "2024-01-15T09:30:00Z",
1041 "end_at": "2024-01-15T09:30:00Z",
1042 "pricing_currency": "AED",
1043 "billing_period": {
1044 "type": "DAY",
1045 "value": 1
1046 },
1047 "entitlements": [
1048 {
1049 "feature_id": "string",
1050 "feature": {
1051 "object_type": "string",
1052 "id": "string",
1053 "reference": "string",
1054 "name": "string",
1055 "description": "string",
1056 "type": "SWITCH",
1057 "enum_values": [
1058 "string"
1059 ],
1060 "meter_value_calculation_id": "string",
1061 "meter_value_calculation": {
1062 "object_type": "string",
1063 "id": "string",
1064 "reference": "string",
1065 "name": "string",
1066 "description": "string",
1067 "calculation_type": "SUM",
1068 "persist": true,
1069 "meter_id": "string",
1070 "meter": {
1071 "object_type": "string",
1072 "id": "string",
1073 "reference": "string",
1074 "name": "string",
1075 "description": "string",
1076 "status": "DRAFT",
1077 "meter_values": [
1078 {
1079 "id": "string",
1080 "object": {
1081 "object_type": "string",
1082 "id": "string",
1083 "reference": "string",
1084 "name": "string",
1085 "description": "string",
1086 "status": "DRAFT",
1087 "type": "NUMBER"
1088 },
1089 "required": true
1090 }
1091 ],
1092 "meter_properties": [
1093 {
1094 "id": "string",
1095 "object": {
1096 "object_type": "string",
1097 "id": "string",
1098 "reference": "string",
1099 "name": "string",
1100 "description": "string",
1101 "status": "DRAFT",
1102 "type": "NUMBER",
1103 "enum_values": [
1104 "string"
1105 ]
1106 },
1107 "required": true
1108 }
1109 ]
1110 },
1111 "meter_value_id": "string",
1112 "meter_value": {
1113 "object_type": "string",
1114 "id": "string",
1115 "reference": "string",
1116 "name": "string",
1117 "description": "string",
1118 "status": "DRAFT",
1119 "type": "NUMBER"
1120 },
1121 "meter_property_id": "string",
1122 "meter_property": {
1123 "object_type": "string",
1124 "id": "string",
1125 "reference": "string",
1126 "name": "string",
1127 "description": "string",
1128 "status": "DRAFT",
1129 "type": "NUMBER",
1130 "enum_values": [
1131 "string"
1132 ]
1133 }
1134 }
1135 },
1136 "feature_reference": "string",
1137 "override": true,
1138 "number": "string",
1139 "switch": true,
1140 "amount": {
1141 "quantity": "string",
1142 "currency": "AED"
1143 },
1144 "enum": "string",
1145 "string": "string",
1146 "overwrite": true
1147 }
1148 ],
1149 "discount": {
1150 "pricing_item_configs": [
1151 {
1152 "ids": [
1153 "string"
1154 ],
1155 "start_at": "2024-01-15T09:30:00Z",
1156 "end_at": "2024-01-15T09:30:00Z",
1157 "amount": {
1158 "quantity": "string",
1159 "currency": "AED"
1160 },
1161 "percentage": "string"
1162 }
1163 ],
1164 "pricing_items": [
1165 {
1166 "ids": [
1167 "string"
1168 ],
1169 "start_at": "2024-01-15T09:30:00Z",
1170 "end_at": "2024-01-15T09:30:00Z",
1171 "amount": {
1172 "quantity": "string",
1173 "currency": "AED"
1174 },
1175 "percentage": "string"
1176 }
1177 ],
1178 "pricings": [
1179 {
1180 "ids": [
1181 "string"
1182 ],
1183 "start_at": "2024-01-15T09:30:00Z",
1184 "end_at": "2024-01-15T09:30:00Z",
1185 "amount": {
1186 "quantity": "string",
1187 "currency": "AED"
1188 },
1189 "percentage": "string"
1190 }
1191 ],
1192 "totals": [
1193 {
1194 "start_at": "string",
1195 "end_at": "string",
1196 "amount": {
1197 "quantity": "string",
1198 "currency": "AED"
1199 },
1200 "percentage": "string",
1201 "coupon_id": "string",
1202 "promotion_code_details": {
1203 "promotion_code_id": "string",
1204 "code": "string"
1205 }
1206 }
1207 ],
1208 "products": [
1209 {
1210 "ids": [
1211 "string"
1212 ],
1213 "start_at": "string",
1214 "end_at": "string",
1215 "amount": {
1216 "quantity": "string",
1217 "currency": "AED"
1218 },
1219 "percentage": "string",
1220 "coupon_id": "string",
1221 "promotion_code_details": {
1222 "promotion_code_id": "string",
1223 "code": "string"
1224 }
1225 }
1226 ],
1227 "product_items": [
1228 {
1229 "ids": [
1230 "string"
1231 ],
1232 "start_at": "string",
1233 "end_at": "string",
1234 "amount": {
1235 "quantity": "string",
1236 "currency": "AED"
1237 },
1238 "percentage": "string",
1239 "coupon_id": "string",
1240 "promotion_code_details": {
1241 "promotion_code_id": "string",
1242 "code": "string"
1243 }
1244 }
1245 ],
1246 "product_categories": [
1247 {
1248 "ids": [
1249 "string"
1250 ],
1251 "start_at": "string",
1252 "end_at": "string",
1253 "amount": {
1254 "quantity": "string",
1255 "currency": "AED"
1256 },
1257 "percentage": "string",
1258 "coupon_id": "string",
1259 "promotion_code_details": {
1260 "promotion_code_id": "string",
1261 "code": "string"
1262 }
1263 }
1264 ]
1265 },
1266 "markup": {
1267 "pricing_item_configs": [
1268 {
1269 "ids": [
1270 "string"
1271 ],
1272 "start_at": "2024-01-15T09:30:00Z",
1273 "end_at": "2024-01-15T09:30:00Z",
1274 "amount": {
1275 "quantity": "string",
1276 "currency": "AED"
1277 },
1278 "percentage": "string"
1279 }
1280 ]
1281 },
1282 "commitment": {
1283 "pricing_item_configs": [
1284 {
1285 "ids": [
1286 "string"
1287 ],
1288 "meter_value_calculation": {
1289 "number": "string",
1290 "amount": {
1291 "quantity": "string",
1292 "currency": "AED"
1293 }
1294 },
1295 "start_at": "2024-01-15T09:30:00Z",
1296 "end_at": "2024-01-15T09:30:00Z",
1297 "amount": {
1298 "quantity": "string",
1299 "currency": "AED"
1300 }
1301 }
1302 ],
1303 "pricing_items": [
1304 {
1305 "ids": [
1306 "string"
1307 ],
1308 "start_at": "2024-01-15T09:30:00Z",
1309 "end_at": "2024-01-15T09:30:00Z",
1310 "amount": {
1311 "quantity": "string",
1312 "currency": "AED"
1313 }
1314 }
1315 ],
1316 "pricings": [
1317 {
1318 "ids": [
1319 "string"
1320 ],
1321 "start_at": "2024-01-15T09:30:00Z",
1322 "end_at": "2024-01-15T09:30:00Z",
1323 "amount": {
1324 "quantity": "string",
1325 "currency": "AED"
1326 }
1327 }
1328 ],
1329 "totals": [
1330 {
1331 "start_at": "2024-01-15T09:30:00Z",
1332 "end_at": "2024-01-15T09:30:00Z",
1333 "amount": {
1334 "quantity": "string",
1335 "currency": "AED"
1336 }
1337 }
1338 ]
1339 },
1340 "promotion_codes": [
1341 "string"
1342 ],
1343 "coupon_ids": [
1344 "string"
1345 ],
1346 "coupon_discount": {
1347 "pricing_item_configs": [
1348 {
1349 "ids": [
1350 "string"
1351 ],
1352 "start_at": "2024-01-15T09:30:00Z",
1353 "end_at": "2024-01-15T09:30:00Z",
1354 "amount": {
1355 "quantity": "string",
1356 "currency": "AED"
1357 },
1358 "percentage": "string"
1359 }
1360 ],
1361 "pricing_items": [
1362 {
1363 "ids": [
1364 "string"
1365 ],
1366 "start_at": "2024-01-15T09:30:00Z",
1367 "end_at": "2024-01-15T09:30:00Z",
1368 "amount": {
1369 "quantity": "string",
1370 "currency": "AED"
1371 },
1372 "percentage": "string"
1373 }
1374 ],
1375 "pricings": [
1376 {
1377 "ids": [
1378 "string"
1379 ],
1380 "start_at": "2024-01-15T09:30:00Z",
1381 "end_at": "2024-01-15T09:30:00Z",
1382 "amount": {
1383 "quantity": "string",
1384 "currency": "AED"
1385 },
1386 "percentage": "string"
1387 }
1388 ],
1389 "totals": [
1390 {
1391 "start_at": "string",
1392 "end_at": "string",
1393 "amount": {
1394 "quantity": "string",
1395 "currency": "AED"
1396 },
1397 "percentage": "string",
1398 "coupon_id": "string",
1399 "promotion_code_details": {
1400 "promotion_code_id": "string",
1401 "code": "string"
1402 }
1403 }
1404 ],
1405 "products": [
1406 {
1407 "ids": [
1408 "string"
1409 ],
1410 "start_at": "string",
1411 "end_at": "string",
1412 "amount": {
1413 "quantity": "string",
1414 "currency": "AED"
1415 },
1416 "percentage": "string",
1417 "coupon_id": "string",
1418 "promotion_code_details": {
1419 "promotion_code_id": "string",
1420 "code": "string"
1421 }
1422 }
1423 ],
1424 "product_items": [
1425 {
1426 "ids": [
1427 "string"
1428 ],
1429 "start_at": "string",
1430 "end_at": "string",
1431 "amount": {
1432 "quantity": "string",
1433 "currency": "AED"
1434 },
1435 "percentage": "string",
1436 "coupon_id": "string",
1437 "promotion_code_details": {
1438 "promotion_code_id": "string",
1439 "code": "string"
1440 }
1441 }
1442 ],
1443 "product_categories": [
1444 {
1445 "ids": [
1446 "string"
1447 ],
1448 "start_at": "string",
1449 "end_at": "string",
1450 "amount": {
1451 "quantity": "string",
1452 "currency": "AED"
1453 },
1454 "percentage": "string",
1455 "coupon_id": "string",
1456 "promotion_code_details": {
1457 "promotion_code_id": "string",
1458 "code": "string"
1459 }
1460 }
1461 ]
1462 },
1463 "seats_values": [
1464 {
1465 "pricing_item_config_id": "string",
1466 "number": "string",
1467 "amount": {
1468 "quantity": "string",
1469 "currency": "AED"
1470 },
1471 "start_at": "2024-01-15T09:30:00Z",
1472 "end_at": "string"
1473 }
1474 ],
1475 "included_volumes": [
1476 {
1477 "pricing_item_config_id": "string",
1478 "number": "string",
1479 "amount": {
1480 "quantity": "string",
1481 "currency": "AED"
1482 },
1483 "start_at": "2024-01-15T09:30:00Z",
1484 "end_at": "2024-01-15T09:30:00Z",
1485 "reset_type": "string"
1486 }
1487 ],
1488 "enabled_pricings": [
1489 {
1490 "pricing_id": "string",
1491 "start_at": "2024-01-15T09:30:00Z",
1492 "end_at": "2024-01-15T09:30:00Z"
1493 }
1494 ],
1495 "override_pricings": [
1496 {
1497 "object_type": "string",
1498 "id": "string",
1499 "pricing_plan_version_id": "string",
1500 "pricing_plan_schedule_id": "string",
1501 "pricing_group_id": "string",
1502 "original_pricing_id": "string",
1503 "original_pricing": {},
1504 "override": "ALL",
1505 "name": "string",
1506 "product_type": "DEFAULT",
1507 "product_ids": [
1508 "string"
1509 ],
1510 "display_order": 1,
1511 "products": [
1512 {
1513 "object_type": "string",
1514 "id": "string",
1515 "category_id": "string",
1516 "category": {
1517 "object_type": "string",
1518 "id": "string",
1519 "name": "string",
1520 "reference": "string",
1521 "description": "string",
1522 "tax_category": "STANDARD",
1523 "display_order": 1,
1524 "customer_id": "string"
1525 },
1526 "parent_product_id": "string",
1527 "name": "string",
1528 "reference": "string",
1529 "description": "string",
1530 "status": "DRAFT",
1531 "product_type": "DEFAULT",
1532 "tax_category": "STANDARD",
1533 "features": [
1534 {
1535 "id": "string",
1536 "reference": "string"
1537 }
1538 ],
1539 "custom_fields": [
1540 {
1541 "id": "string",
1542 "reference": "string",
1543 "value": "string",
1544 "values": [
1545 "string"
1546 ],
1547 "integration_details": {
1548 "id": "string",
1549 "reference": "string",
1550 "payment_gateway_variant": "ADYEN",
1551 "adyen": {
1552 "recurring_detail_reference": "string"
1553 },
1554 "stripe": {
1555 "payment_method_id": "string"
1556 }
1557 }
1558 }
1559 ],
1560 "display_order": 1,
1561 "linked_integrations": [
1562 {
1563 "id": "string",
1564 "link_details": [
1565 {
1566 "url": "string",
1567 "custom_field_name": "string"
1568 }
1569 ]
1570 }
1571 ],
1572 "billing_entity_id": "string",
1573 "customer_id": "string"
1574 }
1575 ],
1576 "entitlements": [
1577 {
1578 "feature_id": "string",
1579 "feature": {
1580 "object_type": "string",
1581 "id": "string",
1582 "reference": "string",
1583 "name": "string",
1584 "description": "string",
1585 "type": "SWITCH",
1586 "enum_values": [
1587 "string"
1588 ],
1589 "meter_value_calculation_id": "string",
1590 "meter_value_calculation": {
1591 "object_type": "string",
1592 "id": "string",
1593 "reference": "string",
1594 "name": "string",
1595 "description": "string",
1596 "calculation_type": "SUM",
1597 "persist": true,
1598 "meter_id": "string",
1599 "meter": {
1600 "object_type": "string",
1601 "id": "string",
1602 "reference": "string",
1603 "name": "string",
1604 "description": "string",
1605 "status": "DRAFT",
1606 "meter_values": [
1607 {
1608 "id": "string",
1609 "object": {
1610 "object_type": "string",
1611 "id": "string",
1612 "reference": "string",
1613 "name": "string",
1614 "description": "string",
1615 "status": "DRAFT",
1616 "type": "NUMBER"
1617 },
1618 "required": true
1619 }
1620 ],
1621 "meter_properties": [
1622 {
1623 "id": "string",
1624 "object": {
1625 "object_type": "string",
1626 "id": "string",
1627 "reference": "string",
1628 "name": "string",
1629 "description": "string",
1630 "status": "DRAFT",
1631 "type": "NUMBER",
1632 "enum_values": [
1633 "string"
1634 ]
1635 },
1636 "required": true
1637 }
1638 ]
1639 },
1640 "meter_value_id": "string",
1641 "meter_value": {
1642 "object_type": "string",
1643 "id": "string",
1644 "reference": "string",
1645 "name": "string",
1646 "description": "string",
1647 "status": "DRAFT",
1648 "type": "NUMBER"
1649 },
1650 "meter_property_id": "string",
1651 "meter_property": {
1652 "object_type": "string",
1653 "id": "string",
1654 "reference": "string",
1655 "name": "string",
1656 "description": "string",
1657 "status": "DRAFT",
1658 "type": "NUMBER",
1659 "enum_values": [
1660 "string"
1661 ]
1662 }
1663 }
1664 },
1665 "feature_reference": "string",
1666 "override": true,
1667 "number": "string",
1668 "switch": true,
1669 "amount": {
1670 "quantity": "string",
1671 "currency": "AED"
1672 },
1673 "enum": "string",
1674 "string": "string",
1675 "overwrite": true
1676 }
1677 ],
1678 "items": [
1679 {
1680 "object_type": "string",
1681 "id": "string",
1682 "original_pricing_item_id": "string",
1683 "original_pricing_item": {},
1684 "override": "ALL",
1685 "product_item_ids": [
1686 "string"
1687 ],
1688 "product_items": [
1689 {
1690 "object_type": "string",
1691 "id": "string",
1692 "product_id": "string",
1693 "product": {
1694 "object_type": "string",
1695 "id": "string",
1696 "category_id": "string",
1697 "category": {
1698 "object_type": "string",
1699 "id": "string",
1700 "name": "string",
1701 "reference": "string",
1702 "description": "string",
1703 "tax_category": "STANDARD",
1704 "display_order": 1,
1705 "customer_id": "string"
1706 },
1707 "parent_product_id": "string",
1708 "name": "string",
1709 "reference": "string",
1710 "description": "string",
1711 "status": "DRAFT",
1712 "product_type": "DEFAULT",
1713 "tax_category": "STANDARD",
1714 "features": [
1715 {
1716 "id": "string",
1717 "reference": "string"
1718 }
1719 ],
1720 "custom_fields": [
1721 {
1722 "id": "string",
1723 "reference": "string",
1724 "value": "string",
1725 "values": [
1726 "string"
1727 ],
1728 "integration_details": {
1729 "id": "string",
1730 "reference": "string",
1731 "payment_gateway_variant": "ADYEN",
1732 "adyen": {
1733 "recurring_detail_reference": "string"
1734 },
1735 "stripe": {
1736 "payment_method_id": "string"
1737 }
1738 }
1739 }
1740 ],
1741 "display_order": 1,
1742 "linked_integrations": [
1743 {
1744 "id": "string",
1745 "link_details": [
1746 {
1747 "url": "string",
1748 "custom_field_name": "string"
1749 }
1750 ]
1751 }
1752 ],
1753 "billing_entity_id": "string",
1754 "customer_id": "string"
1755 },
1756 "name": "string",
1757 "status": "DRAFT",
1758 "reference": "string",
1759 "description": "string",
1760 "type": "REVENUE",
1761 "model_type": "USAGE_BASED",
1762 "usage_based": {
1763 "meter_value_calculation_id": "string",
1764 "meter_value_calculation": {
1765 "object_type": "string",
1766 "id": "string",
1767 "reference": "string",
1768 "name": "string",
1769 "description": "string",
1770 "calculation_type": "SUM",
1771 "persist": true,
1772 "meter_id": "string",
1773 "meter": {
1774 "object_type": "string",
1775 "id": "string",
1776 "reference": "string",
1777 "name": "string",
1778 "description": "string",
1779 "status": "DRAFT",
1780 "meter_values": [
1781 {
1782 "id": "string",
1783 "object": {
1784 "object_type": "string",
1785 "id": "string",
1786 "reference": "string",
1787 "name": "string",
1788 "description": "string",
1789 "status": "DRAFT",
1790 "type": "NUMBER"
1791 },
1792 "required": true
1793 }
1794 ],
1795 "meter_properties": [
1796 {
1797 "id": "string",
1798 "object": {
1799 "object_type": "string",
1800 "id": "string",
1801 "reference": "string",
1802 "name": "string",
1803 "description": "string",
1804 "status": "DRAFT",
1805 "type": "NUMBER",
1806 "enum_values": [
1807 "string"
1808 ]
1809 },
1810 "required": true
1811 }
1812 ]
1813 },
1814 "meter_value_id": "string",
1815 "meter_value": {
1816 "object_type": "string",
1817 "id": "string",
1818 "reference": "string",
1819 "name": "string",
1820 "description": "string",
1821 "status": "DRAFT",
1822 "type": "NUMBER"
1823 },
1824 "meter_property_id": "string",
1825 "meter_property": {
1826 "object_type": "string",
1827 "id": "string",
1828 "reference": "string",
1829 "name": "string",
1830 "description": "string",
1831 "status": "DRAFT",
1832 "type": "NUMBER",
1833 "enum_values": [
1834 "string"
1835 ]
1836 }
1837 },
1838 "tiering_meter_value_calculation_id": "string",
1839 "tiering_meter_value_calculation": {
1840 "object_type": "string",
1841 "id": "string",
1842 "reference": "string",
1843 "name": "string",
1844 "description": "string",
1845 "calculation_type": "SUM",
1846 "persist": true,
1847 "meter_id": "string",
1848 "meter": {
1849 "object_type": "string",
1850 "id": "string",
1851 "reference": "string",
1852 "name": "string",
1853 "description": "string",
1854 "status": "DRAFT",
1855 "meter_values": [
1856 {
1857 "id": "string",
1858 "object": {
1859 "object_type": "string",
1860 "id": "string",
1861 "reference": "string",
1862 "name": "string",
1863 "description": "string",
1864 "status": "DRAFT",
1865 "type": "NUMBER"
1866 },
1867 "required": true
1868 }
1869 ],
1870 "meter_properties": [
1871 {
1872 "id": "string",
1873 "object": {
1874 "object_type": "string",
1875 "id": "string",
1876 "reference": "string",
1877 "name": "string",
1878 "description": "string",
1879 "status": "DRAFT",
1880 "type": "NUMBER",
1881 "enum_values": [
1882 "string"
1883 ]
1884 },
1885 "required": true
1886 }
1887 ]
1888 },
1889 "meter_value_id": "string",
1890 "meter_value": {
1891 "object_type": "string",
1892 "id": "string",
1893 "reference": "string",
1894 "name": "string",
1895 "description": "string",
1896 "status": "DRAFT",
1897 "type": "NUMBER"
1898 },
1899 "meter_property_id": "string",
1900 "meter_property": {
1901 "object_type": "string",
1902 "id": "string",
1903 "reference": "string",
1904 "name": "string",
1905 "description": "string",
1906 "status": "DRAFT",
1907 "type": "NUMBER",
1908 "enum_values": [
1909 "string"
1910 ]
1911 }
1912 },
1913 "report_meter_value_calculation_ids": [
1914 "string"
1915 ],
1916 "conditions": {
1917 "name": "string",
1918 "expression": {
1919 "operator": "AND",
1920 "operands": [
1921 {
1922 "meter_property": {
1923 "id": "string",
1924 "reference": "string",
1925 "meter_property": {
1926 "object_type": {},
1927 "id": {},
1928 "reference": {},
1929 "name": {},
1930 "description": {},
1931 "status": {},
1932 "type": {},
1933 "enum_values": {}
1934 },
1935 "value": "string",
1936 "values": [
1937 "string"
1938 ],
1939 "comparator": "EQUALS"
1940 },
1941 "expression": {}
1942 }
1943 ]
1944 },
1945 "meter_properties": [
1946 {
1947 "id": "string",
1948 "reference": "string",
1949 "meter_property": {
1950 "object_type": "string",
1951 "id": "string",
1952 "reference": "string",
1953 "name": "string",
1954 "description": "string",
1955 "status": "DRAFT",
1956 "type": "NUMBER",
1957 "enum_values": [
1958 "string"
1959 ]
1960 },
1961 "value": "string",
1962 "values": [
1963 "string"
1964 ],
1965 "comparator": "EQUALS"
1966 }
1967 ]
1968 }
1969 },
1970 "credits": {
1971 "credit_type_id": "string",
1972 "credit_type": {
1973 "object_type": "string",
1974 "id": "string",
1975 "reference": "string",
1976 "status": "DRAFT",
1977 "name": "string",
1978 "description": "string",
1979 "unit_name": {
1980 "singular": "string",
1981 "plural": "string"
1982 },
1983 "created_at": "string",
1984 "updated_at": "string"
1985 }
1986 },
1987 "meter_value_calculation": {
1988 "object_type": "string",
1989 "id": "string",
1990 "reference": "string",
1991 "name": "string",
1992 "description": "string",
1993 "calculation_type": "SUM",
1994 "persist": true,
1995 "meter_id": "string",
1996 "meter": {
1997 "object_type": "string",
1998 "id": "string",
1999 "reference": "string",
2000 "name": "string",
2001 "description": "string",
2002 "status": "DRAFT",
2003 "meter_values": [
2004 {
2005 "id": "string",
2006 "object": {
2007 "object_type": "string",
2008 "id": "string",
2009 "reference": "string",
2010 "name": "string",
2011 "description": "string",
2012 "status": "DRAFT",
2013 "type": "NUMBER"
2014 },
2015 "required": true
2016 }
2017 ],
2018 "meter_properties": [
2019 {
2020 "id": "string",
2021 "object": {
2022 "object_type": "string",
2023 "id": "string",
2024 "reference": "string",
2025 "name": "string",
2026 "description": "string",
2027 "status": "DRAFT",
2028 "type": "NUMBER",
2029 "enum_values": [
2030 "string"
2031 ]
2032 },
2033 "required": true
2034 }
2035 ]
2036 },
2037 "meter_value_id": "string",
2038 "meter_value": {
2039 "object_type": "string",
2040 "id": "string",
2041 "reference": "string",
2042 "name": "string",
2043 "description": "string",
2044 "status": "DRAFT",
2045 "type": "NUMBER"
2046 },
2047 "meter_property_id": "string",
2048 "meter_property": {
2049 "object_type": "string",
2050 "id": "string",
2051 "reference": "string",
2052 "name": "string",
2053 "description": "string",
2054 "status": "DRAFT",
2055 "type": "NUMBER",
2056 "enum_values": [
2057 "string"
2058 ]
2059 }
2060 },
2061 "tax_category": "STANDARD",
2062 "display_order": 1,
2063 "unit_name": {
2064 "singular": "string",
2065 "plural": "string"
2066 },
2067 "custom_fields": [
2068 {
2069 "id": "string",
2070 "reference": "string",
2071 "value": "string",
2072 "values": [
2073 "string"
2074 ],
2075 "integration_details": {
2076 "id": "string",
2077 "reference": "string",
2078 "payment_gateway_variant": "ADYEN",
2079 "adyen": {
2080 "recurring_detail_reference": "string"
2081 },
2082 "stripe": {
2083 "payment_method_id": "string"
2084 }
2085 }
2086 }
2087 ],
2088 "customer_id": "string",
2089 "meter_value_calculation_id": "string",
2090 "report_meter_value_calculation_ids": [
2091 "string"
2092 ]
2093 }
2094 ],
2095 "configs": [
2096 {
2097 "object_type": "string",
2098 "id": "string",
2099 "original_pricing_item_config_id": "string",
2100 "original_pricing_item_config": {},
2101 "details": {
2102 "billing_period": {
2103 "type": "DAY",
2104 "value": 1
2105 },
2106 "pricing_type": "FLAT",
2107 "pricing_period": {
2108 "type": "DAY",
2109 "value": 1
2110 },
2111 "bands": [
2112 {
2113 "amount": {
2114 "quantity": "string",
2115 "currency": "AED"
2116 },
2117 "percentage": "string",
2118 "credits": {
2119 "quantity": "string",
2120 "credit_type_id": "string"
2121 },
2122 "fixed_amount": {
2123 "quantity": "string",
2124 "currency": "AED"
2125 },
2126 "maximum_amount": {
2127 "quantity": "string",
2128 "currency": "AED"
2129 },
2130 "minimum_amount": {
2131 "quantity": "string",
2132 "currency": "AED"
2133 },
2134 "maximum_number": "string",
2135 "minimum_number": "string",
2136 "block_size": {
2137 "number": "string",
2138 "amount": {
2139 "quantity": "string",
2140 "currency": "AED"
2141 },
2142 "count": "string"
2143 },
2144 "tier_top_bound": {
2145 "number": "string",
2146 "amount": {
2147 "quantity": "string",
2148 "currency": "AED"
2149 },
2150 "count": "string"
2151 }
2152 }
2153 ]
2154 },
2155 "billing_period": {
2156 "type": "DAY",
2157 "value": 1
2158 },
2159 "pricing_period": {
2160 "type": "DAY",
2161 "value": 1
2162 },
2163 "default_included_volume": {
2164 "number": "string",
2165 "amount": {
2166 "quantity": "string",
2167 "currency": "AED"
2168 },
2169 "count": "string",
2170 "reset_type": "string"
2171 },
2172 "default_seats_value": {
2173 "number": "string",
2174 "amount": {
2175 "quantity": "string",
2176 "currency": "AED"
2177 },
2178 "count": "string"
2179 },
2180 "conditions": {
2181 "name": "string",
2182 "meter_properties": [
2183 {
2184 "id": "string",
2185 "reference": "string",
2186 "meter_property": {
2187 "object_type": "string",
2188 "id": "string",
2189 "reference": "string",
2190 "name": "string",
2191 "description": "string",
2192 "status": "DRAFT",
2193 "type": "NUMBER",
2194 "enum_values": [
2195 "string"
2196 ]
2197 },
2198 "value": "string",
2199 "values": [
2200 "string"
2201 ],
2202 "comparator": "EQUALS"
2203 }
2204 ],
2205 "configs": [
2206 {}
2207 ]
2208 },
2209 "order": 1,
2210 "billing_in_advance": true,
2211 "volume_group_reference": "string",
2212 "top_up": {
2213 "rollover": true
2214 },
2215 "split_pricing": {
2216 "meter_properties": [
2217 {
2218 "id": "string",
2219 "reference": "string",
2220 "value": "string",
2221 "meter_property": {
2222 "object_type": "string",
2223 "id": "string",
2224 "reference": "string",
2225 "name": "string",
2226 "description": "string",
2227 "status": "DRAFT",
2228 "type": "NUMBER",
2229 "enum_values": [
2230 "string"
2231 ]
2232 }
2233 }
2234 ]
2235 },
2236 "on_demand": true,
2237 "wallet_grants": [
2238 {
2239 "wallet_type_id": "string",
2240 "wallet_type": {
2241 "object_type": "string",
2242 "id": "string",
2243 "name": "string",
2244 "reference": "string",
2245 "status": "DRAFT",
2246 "type": "CREDIT",
2247 "credit": {
2248 "grant_type": "CREDITS",
2249 "amount_grant": {
2250 "default_currency": "AED",
2251 "tax_category": "STANDARD"
2252 },
2253 "credits_grant": {
2254 "credit_type_id": "string"
2255 }
2256 },
2257 "balance": {
2258 "default_currency": "string"
2259 },
2260 "created_at": "string",
2261 "updated_at": "string"
2262 },
2263 "amount_grant": {
2264 "amount": {
2265 "quantity": "string",
2266 "currency": "AED"
2267 },
2268 "percentage": "string"
2269 },
2270 "credits_grant": {
2271 "credits": {
2272 "quantity": "string",
2273 "credit_type_id": "string"
2274 },
2275 "conversion": "string"
2276 },
2277 "expiry_policy": {
2278 "expiry_period": {
2279 "type": "DAY",
2280 "value": 1
2281 }
2282 }
2283 }
2284 ],
2285 "type": "FLAT",
2286 "pricing_type": "FLAT",
2287 "bands": [
2288 {
2289 "amount": {
2290 "quantity": "string",
2291 "currency": "AED"
2292 },
2293 "percentage": "string",
2294 "credits": {
2295 "quantity": "string",
2296 "credit_type_id": "string"
2297 },
2298 "fixed_amount": {
2299 "quantity": "string",
2300 "currency": "AED"
2301 },
2302 "maximum_amount": {
2303 "quantity": "string",
2304 "currency": "AED"
2305 },
2306 "minimum_amount": {
2307 "quantity": "string",
2308 "currency": "AED"
2309 },
2310 "maximum_number": "string",
2311 "minimum_number": "string",
2312 "block_size": {
2313 "number": "string",
2314 "amount": {
2315 "quantity": "string",
2316 "currency": "AED"
2317 },
2318 "count": "string"
2319 },
2320 "tier_top_bound": {
2321 "number": "string",
2322 "amount": {
2323 "quantity": "string",
2324 "currency": "AED"
2325 },
2326 "count": "string"
2327 }
2328 }
2329 ]
2330 }
2331 ],
2332 "pricing_currency_configs": [
2333 {
2334 "currency": "AED",
2335 "configs": [
2336 {
2337 "object_type": "string",
2338 "id": "string",
2339 "original_pricing_item_config_id": "string",
2340 "original_pricing_item_config": {},
2341 "details": {
2342 "billing_period": {
2343 "type": "DAY",
2344 "value": 1
2345 },
2346 "pricing_type": "FLAT",
2347 "pricing_period": {
2348 "type": "DAY",
2349 "value": 1
2350 },
2351 "bands": [
2352 {
2353 "amount": {
2354 "quantity": "string",
2355 "currency": "AED"
2356 },
2357 "percentage": "string",
2358 "credits": {
2359 "quantity": "string",
2360 "credit_type_id": "string"
2361 },
2362 "fixed_amount": {
2363 "quantity": "string",
2364 "currency": "AED"
2365 },
2366 "maximum_amount": {
2367 "quantity": "string",
2368 "currency": "AED"
2369 },
2370 "minimum_amount": {
2371 "quantity": "string",
2372 "currency": "AED"
2373 },
2374 "maximum_number": "string",
2375 "minimum_number": "string",
2376 "block_size": {
2377 "number": "string",
2378 "amount": {
2379 "quantity": "string",
2380 "currency": "AED"
2381 },
2382 "count": "string"
2383 },
2384 "tier_top_bound": {
2385 "number": "string",
2386 "amount": {
2387 "quantity": "string",
2388 "currency": "AED"
2389 },
2390 "count": "string"
2391 }
2392 }
2393 ]
2394 },
2395 "billing_period": {
2396 "type": "DAY",
2397 "value": 1
2398 },
2399 "pricing_period": {
2400 "type": "DAY",
2401 "value": 1
2402 },
2403 "default_included_volume": {
2404 "number": "string",
2405 "amount": {
2406 "quantity": "string",
2407 "currency": "AED"
2408 },
2409 "count": "string",
2410 "reset_type": "string"
2411 },
2412 "default_seats_value": {
2413 "number": "string",
2414 "amount": {
2415 "quantity": "string",
2416 "currency": "AED"
2417 },
2418 "count": "string"
2419 },
2420 "conditions": {
2421 "name": "string",
2422 "meter_properties": [
2423 {
2424 "id": "string",
2425 "reference": "string",
2426 "meter_property": {
2427 "object_type": "string",
2428 "id": "string",
2429 "reference": "string",
2430 "name": "string",
2431 "description": "string",
2432 "status": "DRAFT",
2433 "type": "NUMBER",
2434 "enum_values": [
2435 "string"
2436 ]
2437 },
2438 "value": "string",
2439 "values": [
2440 "string"
2441 ],
2442 "comparator": "EQUALS"
2443 }
2444 ],
2445 "configs": [
2446 {}
2447 ]
2448 },
2449 "order": 1,
2450 "billing_in_advance": true,
2451 "volume_group_reference": "string",
2452 "top_up": {
2453 "rollover": true
2454 },
2455 "split_pricing": {
2456 "meter_properties": [
2457 {
2458 "id": "string",
2459 "reference": "string",
2460 "value": "string",
2461 "meter_property": {
2462 "object_type": "string",
2463 "id": "string",
2464 "reference": "string",
2465 "name": "string",
2466 "description": "string",
2467 "status": "DRAFT",
2468 "type": "NUMBER",
2469 "enum_values": [
2470 "string"
2471 ]
2472 }
2473 }
2474 ]
2475 },
2476 "on_demand": true,
2477 "wallet_grants": [
2478 {
2479 "wallet_type_id": "string",
2480 "wallet_type": {
2481 "object_type": "string",
2482 "id": "string",
2483 "name": "string",
2484 "reference": "string",
2485 "status": "DRAFT",
2486 "type": "CREDIT",
2487 "credit": {
2488 "grant_type": "CREDITS",
2489 "amount_grant": {
2490 "default_currency": "AED",
2491 "tax_category": "STANDARD"
2492 },
2493 "credits_grant": {
2494 "credit_type_id": "string"
2495 }
2496 },
2497 "balance": {
2498 "default_currency": "string"
2499 },
2500 "created_at": "string",
2501 "updated_at": "string"
2502 },
2503 "amount_grant": {
2504 "amount": {
2505 "quantity": "string",
2506 "currency": "AED"
2507 },
2508 "percentage": "string"
2509 },
2510 "credits_grant": {
2511 "credits": {
2512 "quantity": "string",
2513 "credit_type_id": "string"
2514 },
2515 "conversion": "string"
2516 },
2517 "expiry_policy": {
2518 "expiry_period": {
2519 "type": "DAY",
2520 "value": 1
2521 }
2522 }
2523 }
2524 ],
2525 "type": "FLAT",
2526 "pricing_type": "FLAT",
2527 "bands": [
2528 {
2529 "amount": {
2530 "quantity": "string",
2531 "currency": "AED"
2532 },
2533 "percentage": "string",
2534 "credits": {
2535 "quantity": "string",
2536 "credit_type_id": "string"
2537 },
2538 "fixed_amount": {
2539 "quantity": "string",
2540 "currency": "AED"
2541 },
2542 "maximum_amount": {
2543 "quantity": "string",
2544 "currency": "AED"
2545 },
2546 "minimum_amount": {
2547 "quantity": "string",
2548 "currency": "AED"
2549 },
2550 "maximum_number": "string",
2551 "minimum_number": "string",
2552 "block_size": {
2553 "number": "string",
2554 "amount": {
2555 "quantity": "string",
2556 "currency": "AED"
2557 },
2558 "count": "string"
2559 },
2560 "tier_top_bound": {
2561 "number": "string",
2562 "amount": {
2563 "quantity": "string",
2564 "currency": "AED"
2565 },
2566 "count": "string"
2567 }
2568 }
2569 ]
2570 }
2571 ],
2572 "billing_period_configs": [
2573 {
2574 "billing_period": {
2575 "type": "DAY",
2576 "value": 1
2577 },
2578 "configs": [
2579 {
2580 "object_type": "string",
2581 "id": "string",
2582 "original_pricing_item_config_id": "string",
2583 "original_pricing_item_config": {},
2584 "details": {
2585 "billing_period": {
2586 "type": "DAY",
2587 "value": 1
2588 },
2589 "pricing_type": "FLAT",
2590 "pricing_period": {
2591 "type": "DAY",
2592 "value": 1
2593 },
2594 "bands": [
2595 {
2596 "amount": {
2597 "quantity": "string",
2598 "currency": "AED"
2599 },
2600 "percentage": "string",
2601 "credits": {
2602 "quantity": "string",
2603 "credit_type_id": "string"
2604 },
2605 "fixed_amount": {
2606 "quantity": "string",
2607 "currency": "AED"
2608 },
2609 "maximum_amount": {
2610 "quantity": "string",
2611 "currency": "AED"
2612 },
2613 "minimum_amount": {
2614 "quantity": "string",
2615 "currency": "AED"
2616 },
2617 "maximum_number": "string",
2618 "minimum_number": "string",
2619 "block_size": {
2620 "number": "string",
2621 "amount": {
2622 "quantity": {},
2623 "currency": {}
2624 },
2625 "count": "string"
2626 },
2627 "tier_top_bound": {
2628 "number": "string",
2629 "amount": {
2630 "quantity": {},
2631 "currency": {}
2632 },
2633 "count": "string"
2634 }
2635 }
2636 ]
2637 },
2638 "billing_period": {
2639 "type": "DAY",
2640 "value": 1
2641 },
2642 "pricing_period": {
2643 "type": "DAY",
2644 "value": 1
2645 },
2646 "default_included_volume": {
2647 "number": "string",
2648 "amount": {
2649 "quantity": "string",
2650 "currency": "AED"
2651 },
2652 "count": "string",
2653 "reset_type": "string"
2654 },
2655 "default_seats_value": {
2656 "number": "string",
2657 "amount": {
2658 "quantity": "string",
2659 "currency": "AED"
2660 },
2661 "count": "string"
2662 },
2663 "conditions": {
2664 "name": "string",
2665 "meter_properties": [
2666 {
2667 "id": "string",
2668 "reference": "string",
2669 "meter_property": {
2670 "object_type": "string",
2671 "id": "string",
2672 "reference": "string",
2673 "name": "string",
2674 "description": "string",
2675 "status": "DRAFT",
2676 "type": "NUMBER",
2677 "enum_values": [
2678 "string"
2679 ]
2680 },
2681 "value": "string",
2682 "values": [
2683 "string"
2684 ],
2685 "comparator": "EQUALS"
2686 }
2687 ],
2688 "configs": [
2689 {}
2690 ]
2691 },
2692 "order": 1,
2693 "billing_in_advance": true,
2694 "volume_group_reference": "string",
2695 "top_up": {
2696 "rollover": true
2697 },
2698 "split_pricing": {
2699 "meter_properties": [
2700 {
2701 "id": "string",
2702 "reference": "string",
2703 "value": "string",
2704 "meter_property": {
2705 "object_type": "string",
2706 "id": "string",
2707 "reference": "string",
2708 "name": "string",
2709 "description": "string",
2710 "status": "DRAFT",
2711 "type": "NUMBER",
2712 "enum_values": [
2713 "string"
2714 ]
2715 }
2716 }
2717 ]
2718 },
2719 "on_demand": true,
2720 "wallet_grants": [
2721 {
2722 "wallet_type_id": "string",
2723 "wallet_type": {
2724 "object_type": "string",
2725 "id": "string",
2726 "name": "string",
2727 "reference": "string",
2728 "status": "DRAFT",
2729 "type": "CREDIT",
2730 "credit": {
2731 "grant_type": "CREDITS",
2732 "amount_grant": {
2733 "default_currency": {},
2734 "tax_category": {}
2735 },
2736 "credits_grant": {
2737 "credit_type_id": {}
2738 }
2739 },
2740 "balance": {
2741 "default_currency": "string"
2742 },
2743 "created_at": "string",
2744 "updated_at": "string"
2745 },
2746 "amount_grant": {
2747 "amount": {
2748 "quantity": "string",
2749 "currency": "AED"
2750 },
2751 "percentage": "string"
2752 },
2753 "credits_grant": {
2754 "credits": {
2755 "quantity": "string",
2756 "credit_type_id": "string"
2757 },
2758 "conversion": "string"
2759 },
2760 "expiry_policy": {
2761 "expiry_period": {
2762 "type": "DAY",
2763 "value": 1
2764 }
2765 }
2766 }
2767 ],
2768 "type": "FLAT",
2769 "pricing_type": "FLAT",
2770 "bands": [
2771 {
2772 "amount": {
2773 "quantity": "string",
2774 "currency": "AED"
2775 },
2776 "percentage": "string",
2777 "credits": {
2778 "quantity": "string",
2779 "credit_type_id": "string"
2780 },
2781 "fixed_amount": {
2782 "quantity": "string",
2783 "currency": "AED"
2784 },
2785 "maximum_amount": {
2786 "quantity": "string",
2787 "currency": "AED"
2788 },
2789 "minimum_amount": {
2790 "quantity": "string",
2791 "currency": "AED"
2792 },
2793 "maximum_number": "string",
2794 "minimum_number": "string",
2795 "block_size": {
2796 "number": "string",
2797 "amount": {
2798 "quantity": "string",
2799 "currency": "AED"
2800 },
2801 "count": "string"
2802 },
2803 "tier_top_bound": {
2804 "number": "string",
2805 "amount": {
2806 "quantity": "string",
2807 "currency": "AED"
2808 },
2809 "count": "string"
2810 }
2811 }
2812 ]
2813 }
2814 ]
2815 }
2816 ],
2817 "fallback_currency": "AED"
2818 }
2819 ],
2820 "billing_period_configs": [
2821 {
2822 "billing_period": {
2823 "type": "DAY",
2824 "value": 1
2825 },
2826 "configs": [
2827 {
2828 "object_type": "string",
2829 "id": "string",
2830 "original_pricing_item_config_id": "string",
2831 "original_pricing_item_config": {},
2832 "details": {
2833 "billing_period": {
2834 "type": "DAY",
2835 "value": 1
2836 },
2837 "pricing_type": "FLAT",
2838 "pricing_period": {
2839 "type": "DAY",
2840 "value": 1
2841 },
2842 "bands": [
2843 {
2844 "amount": {
2845 "quantity": "string",
2846 "currency": "AED"
2847 },
2848 "percentage": "string",
2849 "credits": {
2850 "quantity": "string",
2851 "credit_type_id": "string"
2852 },
2853 "fixed_amount": {
2854 "quantity": "string",
2855 "currency": "AED"
2856 },
2857 "maximum_amount": {
2858 "quantity": "string",
2859 "currency": "AED"
2860 },
2861 "minimum_amount": {
2862 "quantity": "string",
2863 "currency": "AED"
2864 },
2865 "maximum_number": "string",
2866 "minimum_number": "string",
2867 "block_size": {
2868 "number": "string",
2869 "amount": {
2870 "quantity": "string",
2871 "currency": "AED"
2872 },
2873 "count": "string"
2874 },
2875 "tier_top_bound": {
2876 "number": "string",
2877 "amount": {
2878 "quantity": "string",
2879 "currency": "AED"
2880 },
2881 "count": "string"
2882 }
2883 }
2884 ]
2885 },
2886 "billing_period": {
2887 "type": "DAY",
2888 "value": 1
2889 },
2890 "pricing_period": {
2891 "type": "DAY",
2892 "value": 1
2893 },
2894 "default_included_volume": {
2895 "number": "string",
2896 "amount": {
2897 "quantity": "string",
2898 "currency": "AED"
2899 },
2900 "count": "string",
2901 "reset_type": "string"
2902 },
2903 "default_seats_value": {
2904 "number": "string",
2905 "amount": {
2906 "quantity": "string",
2907 "currency": "AED"
2908 },
2909 "count": "string"
2910 },
2911 "conditions": {
2912 "name": "string",
2913 "meter_properties": [
2914 {
2915 "id": "string",
2916 "reference": "string",
2917 "meter_property": {
2918 "object_type": "string",
2919 "id": "string",
2920 "reference": "string",
2921 "name": "string",
2922 "description": "string",
2923 "status": "DRAFT",
2924 "type": "NUMBER",
2925 "enum_values": [
2926 "string"
2927 ]
2928 },
2929 "value": "string",
2930 "values": [
2931 "string"
2932 ],
2933 "comparator": "EQUALS"
2934 }
2935 ],
2936 "configs": [
2937 {}
2938 ]
2939 },
2940 "order": 1,
2941 "billing_in_advance": true,
2942 "volume_group_reference": "string",
2943 "top_up": {
2944 "rollover": true
2945 },
2946 "split_pricing": {
2947 "meter_properties": [
2948 {
2949 "id": "string",
2950 "reference": "string",
2951 "value": "string",
2952 "meter_property": {
2953 "object_type": "string",
2954 "id": "string",
2955 "reference": "string",
2956 "name": "string",
2957 "description": "string",
2958 "status": "DRAFT",
2959 "type": "NUMBER",
2960 "enum_values": [
2961 "string"
2962 ]
2963 }
2964 }
2965 ]
2966 },
2967 "on_demand": true,
2968 "wallet_grants": [
2969 {
2970 "wallet_type_id": "string",
2971 "wallet_type": {
2972 "object_type": "string",
2973 "id": "string",
2974 "name": "string",
2975 "reference": "string",
2976 "status": "DRAFT",
2977 "type": "CREDIT",
2978 "credit": {
2979 "grant_type": "CREDITS",
2980 "amount_grant": {
2981 "default_currency": "AED",
2982 "tax_category": "STANDARD"
2983 },
2984 "credits_grant": {
2985 "credit_type_id": "string"
2986 }
2987 },
2988 "balance": {
2989 "default_currency": "string"
2990 },
2991 "created_at": "string",
2992 "updated_at": "string"
2993 },
2994 "amount_grant": {
2995 "amount": {
2996 "quantity": "string",
2997 "currency": "AED"
2998 },
2999 "percentage": "string"
3000 },
3001 "credits_grant": {
3002 "credits": {
3003 "quantity": "string",
3004 "credit_type_id": "string"
3005 },
3006 "conversion": "string"
3007 },
3008 "expiry_policy": {
3009 "expiry_period": {
3010 "type": "DAY",
3011 "value": 1
3012 }
3013 }
3014 }
3015 ],
3016 "type": "FLAT",
3017 "pricing_type": "FLAT",
3018 "bands": [
3019 {
3020 "amount": {
3021 "quantity": "string",
3022 "currency": "AED"
3023 },
3024 "percentage": "string",
3025 "credits": {
3026 "quantity": "string",
3027 "credit_type_id": "string"
3028 },
3029 "fixed_amount": {
3030 "quantity": "string",
3031 "currency": "AED"
3032 },
3033 "maximum_amount": {
3034 "quantity": "string",
3035 "currency": "AED"
3036 },
3037 "minimum_amount": {
3038 "quantity": "string",
3039 "currency": "AED"
3040 },
3041 "maximum_number": "string",
3042 "minimum_number": "string",
3043 "block_size": {
3044 "number": "string",
3045 "amount": {
3046 "quantity": "string",
3047 "currency": "AED"
3048 },
3049 "count": "string"
3050 },
3051 "tier_top_bound": {
3052 "number": "string",
3053 "amount": {
3054 "quantity": "string",
3055 "currency": "AED"
3056 },
3057 "count": "string"
3058 }
3059 }
3060 ]
3061 }
3062 ]
3063 }
3064 ],
3065 "display_order": 1
3066 }
3067 ]
3068 }
3069 ],
3070 "combined_pricing_plan_version": {
3071 "object_type": "string",
3072 "id": "string",
3073 "pricing_plan_id": "string",
3074 "pricing_plan": {
3075 "object_type": "string",
3076 "id": "string",
3077 "reference": "string",
3078 "name": "string",
3079 "description": "string",
3080 "customer_id": "string",
3081 "type": "STANDARD",
3082 "amount_type": "EXCLUDING_TAX",
3083 "pricing_plan_version_infos": [
3084 {
3085 "version": 1,
3086 "id": "string",
3087 "status": "string",
3088 "rate_card": {
3089 "start_at": "2024-01-15T09:30:00Z"
3090 }
3091 }
3092 ],
3093 "pricing_plan_selection_rules": [
3094 {
3095 "type": "RESOURCE",
3096 "resource": {
3097 "type": "PLATFORM",
3098 "field": "COUNTRY",
3099 "value": "string",
3100 "values": [
3101 "string"
3102 ],
3103 "comparator": "EQUALS"
3104 }
3105 }
3106 ],
3107 "pricing_currencies": [
3108 "AED"
3109 ],
3110 "variant": "DEFAULT"
3111 },
3112 "version": 1,
3113 "status": "DRAFT",
3114 "pricing_currency_settings": {
3115 "default_pricing_currency": "string",
3116 "pricing_currencies": [
3117 "string"
3118 ]
3119 },
3120 "billing_period_settings": {
3121 "billing_periods": [
3122 {
3123 "period": {
3124 "type": "DAY",
3125 "value": 1
3126 },
3127 "description": "string"
3128 }
3129 ]
3130 },
3131 "copied_from_pricing_plan_version_id": "string",
3132 "pricing_categories": [
3133 {
3134 "object_type": "string",
3135 "id": "string",
3136 "product_category_id": "string",
3137 "product_category": {
3138 "object_type": "string",
3139 "id": "string",
3140 "name": "string",
3141 "reference": "string",
3142 "description": "string",
3143 "tax_category": "STANDARD",
3144 "display_order": 1,
3145 "customer_id": "string"
3146 },
3147 "pricings": [
3148 {
3149 "object_type": "string",
3150 "id": "string",
3151 "pricing_plan_version_id": "string",
3152 "pricing_plan_schedule_id": "string",
3153 "pricing_group_id": "string",
3154 "original_pricing_id": "string",
3155 "original_pricing": {},
3156 "override": "ALL",
3157 "name": "string",
3158 "product_type": "DEFAULT",
3159 "product_ids": [
3160 "string"
3161 ],
3162 "display_order": 1,
3163 "products": [
3164 {
3165 "object_type": "string",
3166 "id": "string",
3167 "category_id": "string",
3168 "category": {
3169 "object_type": "string",
3170 "id": "string",
3171 "name": "string",
3172 "reference": "string",
3173 "description": "string",
3174 "tax_category": "STANDARD",
3175 "display_order": 1,
3176 "customer_id": "string"
3177 },
3178 "parent_product_id": "string",
3179 "name": "string",
3180 "reference": "string",
3181 "description": "string",
3182 "status": "DRAFT",
3183 "product_type": "DEFAULT",
3184 "tax_category": "STANDARD",
3185 "features": [
3186 {
3187 "id": "string",
3188 "reference": "string"
3189 }
3190 ],
3191 "custom_fields": [
3192 {
3193 "id": "string",
3194 "reference": "string",
3195 "value": "string",
3196 "values": [
3197 "string"
3198 ],
3199 "integration_details": {
3200 "id": "string",
3201 "reference": "string",
3202 "payment_gateway_variant": "ADYEN",
3203 "adyen": {
3204 "recurring_detail_reference": "string"
3205 },
3206 "stripe": {
3207 "payment_method_id": "string"
3208 }
3209 }
3210 }
3211 ],
3212 "display_order": 1,
3213 "linked_integrations": [
3214 {
3215 "id": "string",
3216 "link_details": [
3217 {
3218 "url": "string",
3219 "custom_field_name": "string"
3220 }
3221 ]
3222 }
3223 ],
3224 "billing_entity_id": "string",
3225 "customer_id": "string"
3226 }
3227 ],
3228 "entitlements": [
3229 {
3230 "feature_id": "string",
3231 "feature": {
3232 "object_type": "string",
3233 "id": "string",
3234 "reference": "string",
3235 "name": "string",
3236 "description": "string",
3237 "type": "SWITCH",
3238 "enum_values": [
3239 "string"
3240 ],
3241 "meter_value_calculation_id": "string",
3242 "meter_value_calculation": {
3243 "object_type": "string",
3244 "id": "string",
3245 "reference": "string",
3246 "name": "string",
3247 "description": "string",
3248 "calculation_type": "SUM",
3249 "persist": true,
3250 "meter_id": "string",
3251 "meter": {
3252 "object_type": "string",
3253 "id": "string",
3254 "reference": "string",
3255 "name": "string",
3256 "description": "string",
3257 "status": "DRAFT",
3258 "meter_values": [
3259 {
3260 "id": "string",
3261 "object": {
3262 "object_type": {},
3263 "id": {},
3264 "reference": {},
3265 "name": {},
3266 "description": {},
3267 "status": {},
3268 "type": {}
3269 },
3270 "required": true
3271 }
3272 ],
3273 "meter_properties": [
3274 {
3275 "id": "string",
3276 "object": {
3277 "object_type": {},
3278 "id": {},
3279 "reference": {},
3280 "name": {},
3281 "description": {},
3282 "status": {},
3283 "type": {},
3284 "enum_values": {}
3285 },
3286 "required": true
3287 }
3288 ]
3289 },
3290 "meter_value_id": "string",
3291 "meter_value": {
3292 "object_type": "string",
3293 "id": "string",
3294 "reference": "string",
3295 "name": "string",
3296 "description": "string",
3297 "status": "DRAFT",
3298 "type": "NUMBER"
3299 },
3300 "meter_property_id": "string",
3301 "meter_property": {
3302 "object_type": "string",
3303 "id": "string",
3304 "reference": "string",
3305 "name": "string",
3306 "description": "string",
3307 "status": "DRAFT",
3308 "type": "NUMBER",
3309 "enum_values": [
3310 "string"
3311 ]
3312 }
3313 }
3314 },
3315 "feature_reference": "string",
3316 "override": true,
3317 "number": "string",
3318 "switch": true,
3319 "amount": {
3320 "quantity": "string",
3321 "currency": "AED"
3322 },
3323 "enum": "string",
3324 "string": "string",
3325 "overwrite": true
3326 }
3327 ],
3328 "items": [
3329 {
3330 "object_type": "string",
3331 "id": "string",
3332 "original_pricing_item_id": "string",
3333 "original_pricing_item": {},
3334 "override": "ALL",
3335 "product_item_ids": [
3336 "string"
3337 ],
3338 "product_items": [
3339 {
3340 "object_type": "string",
3341 "id": "string",
3342 "product_id": "string",
3343 "product": {
3344 "object_type": "string",
3345 "id": "string",
3346 "category_id": "string",
3347 "category": {
3348 "object_type": "string",
3349 "id": "string",
3350 "name": "string",
3351 "reference": "string",
3352 "description": "string",
3353 "tax_category": "STANDARD",
3354 "display_order": 1,
3355 "customer_id": "string"
3356 },
3357 "parent_product_id": "string",
3358 "name": "string",
3359 "reference": "string",
3360 "description": "string",
3361 "status": "DRAFT",
3362 "product_type": "DEFAULT",
3363 "tax_category": "STANDARD",
3364 "features": [
3365 {
3366 "id": "string",
3367 "reference": "string"
3368 }
3369 ],
3370 "custom_fields": [
3371 {
3372 "id": "string",
3373 "reference": "string",
3374 "value": "string",
3375 "values": [
3376 "string"
3377 ],
3378 "integration_details": {
3379 "id": "string",
3380 "reference": "string",
3381 "payment_gateway_variant": "ADYEN",
3382 "adyen": {
3383 "recurring_detail_reference": {}
3384 },
3385 "stripe": {
3386 "payment_method_id": {}
3387 }
3388 }
3389 }
3390 ],
3391 "display_order": 1,
3392 "linked_integrations": [
3393 {
3394 "id": "string",
3395 "link_details": [
3396 {
3397 "url": "string",
3398 "custom_field_name": "string"
3399 }
3400 ]
3401 }
3402 ],
3403 "billing_entity_id": "string",
3404 "customer_id": "string"
3405 },
3406 "name": "string",
3407 "status": "DRAFT",
3408 "reference": "string",
3409 "description": "string",
3410 "type": "REVENUE",
3411 "model_type": "USAGE_BASED",
3412 "usage_based": {
3413 "meter_value_calculation_id": "string",
3414 "meter_value_calculation": {
3415 "object_type": "string",
3416 "id": "string",
3417 "reference": "string",
3418 "name": "string",
3419 "description": "string",
3420 "calculation_type": "SUM",
3421 "persist": true,
3422 "meter_id": "string",
3423 "meter": {
3424 "object_type": "string",
3425 "id": "string",
3426 "reference": "string",
3427 "name": "string",
3428 "description": "string",
3429 "status": "DRAFT",
3430 "meter_values": [
3431 {
3432 "id": {},
3433 "object": {},
3434 "required": {}
3435 }
3436 ],
3437 "meter_properties": [
3438 {
3439 "id": {},
3440 "object": {},
3441 "required": {}
3442 }
3443 ]
3444 },
3445 "meter_value_id": "string",
3446 "meter_value": {
3447 "object_type": "string",
3448 "id": "string",
3449 "reference": "string",
3450 "name": "string",
3451 "description": "string",
3452 "status": "DRAFT",
3453 "type": "NUMBER"
3454 },
3455 "meter_property_id": "string",
3456 "meter_property": {
3457 "object_type": "string",
3458 "id": "string",
3459 "reference": "string",
3460 "name": "string",
3461 "description": "string",
3462 "status": "DRAFT",
3463 "type": "NUMBER",
3464 "enum_values": [
3465 "string"
3466 ]
3467 }
3468 },
3469 "tiering_meter_value_calculation_id": "string",
3470 "tiering_meter_value_calculation": {
3471 "object_type": "string",
3472 "id": "string",
3473 "reference": "string",
3474 "name": "string",
3475 "description": "string",
3476 "calculation_type": "SUM",
3477 "persist": true,
3478 "meter_id": "string",
3479 "meter": {
3480 "object_type": "string",
3481 "id": "string",
3482 "reference": "string",
3483 "name": "string",
3484 "description": "string",
3485 "status": "DRAFT",
3486 "meter_values": [
3487 {
3488 "id": {},
3489 "object": {},
3490 "required": {}
3491 }
3492 ],
3493 "meter_properties": [
3494 {
3495 "id": {},
3496 "object": {},
3497 "required": {}
3498 }
3499 ]
3500 },
3501 "meter_value_id": "string",
3502 "meter_value": {
3503 "object_type": "string",
3504 "id": "string",
3505 "reference": "string",
3506 "name": "string",
3507 "description": "string",
3508 "status": "DRAFT",
3509 "type": "NUMBER"
3510 },
3511 "meter_property_id": "string",
3512 "meter_property": {
3513 "object_type": "string",
3514 "id": "string",
3515 "reference": "string",
3516 "name": "string",
3517 "description": "string",
3518 "status": "DRAFT",
3519 "type": "NUMBER",
3520 "enum_values": [
3521 "string"
3522 ]
3523 }
3524 },
3525 "report_meter_value_calculation_ids": [
3526 "string"
3527 ],
3528 "conditions": {
3529 "name": "string",
3530 "expression": {
3531 "operator": "AND",
3532 "operands": [
3533 {
3534 "meter_property": {},
3535 "expression": {}
3536 }
3537 ]
3538 },
3539 "meter_properties": [
3540 {
3541 "id": "string",
3542 "reference": "string",
3543 "meter_property": {
3544 "object_type": {},
3545 "id": {},
3546 "reference": {},
3547 "name": {},
3548 "description": {},
3549 "status": {},
3550 "type": {},
3551 "enum_values": {}
3552 },
3553 "value": "string",
3554 "values": [
3555 "string"
3556 ],
3557 "comparator": "EQUALS"
3558 }
3559 ]
3560 }
3561 },
3562 "credits": {
3563 "credit_type_id": "string",
3564 "credit_type": {
3565 "object_type": "string",
3566 "id": "string",
3567 "reference": "string",
3568 "status": "DRAFT",
3569 "name": "string",
3570 "description": "string",
3571 "unit_name": {
3572 "singular": "string",
3573 "plural": "string"
3574 },
3575 "created_at": "string",
3576 "updated_at": "string"
3577 }
3578 },
3579 "meter_value_calculation": {
3580 "object_type": "string",
3581 "id": "string",
3582 "reference": "string",
3583 "name": "string",
3584 "description": "string",
3585 "calculation_type": "SUM",
3586 "persist": true,
3587 "meter_id": "string",
3588 "meter": {
3589 "object_type": "string",
3590 "id": "string",
3591 "reference": "string",
3592 "name": "string",
3593 "description": "string",
3594 "status": "DRAFT",
3595 "meter_values": [
3596 {
3597 "id": "string",
3598 "object": {
3599 "object_type": {},
3600 "id": {},
3601 "reference": {},
3602 "name": {},
3603 "description": {},
3604 "status": {},
3605 "type": {}
3606 },
3607 "required": true
3608 }
3609 ],
3610 "meter_properties": [
3611 {
3612 "id": "string",
3613 "object": {
3614 "object_type": {},
3615 "id": {},
3616 "reference": {},
3617 "name": {},
3618 "description": {},
3619 "status": {},
3620 "type": {},
3621 "enum_values": {}
3622 },
3623 "required": true
3624 }
3625 ]
3626 },
3627 "meter_value_id": "string",
3628 "meter_value": {
3629 "object_type": "string",
3630 "id": "string",
3631 "reference": "string",
3632 "name": "string",
3633 "description": "string",
3634 "status": "DRAFT",
3635 "type": "NUMBER"
3636 },
3637 "meter_property_id": "string",
3638 "meter_property": {
3639 "object_type": "string",
3640 "id": "string",
3641 "reference": "string",
3642 "name": "string",
3643 "description": "string",
3644 "status": "DRAFT",
3645 "type": "NUMBER",
3646 "enum_values": [
3647 "string"
3648 ]
3649 }
3650 },
3651 "tax_category": "STANDARD",
3652 "display_order": 1,
3653 "unit_name": {
3654 "singular": "string",
3655 "plural": "string"
3656 },
3657 "custom_fields": [
3658 {
3659 "id": "string",
3660 "reference": "string",
3661 "value": "string",
3662 "values": [
3663 "string"
3664 ],
3665 "integration_details": {
3666 "id": "string",
3667 "reference": "string",
3668 "payment_gateway_variant": "ADYEN",
3669 "adyen": {
3670 "recurring_detail_reference": "string"
3671 },
3672 "stripe": {
3673 "payment_method_id": "string"
3674 }
3675 }
3676 }
3677 ],
3678 "customer_id": "string",
3679 "meter_value_calculation_id": "string",
3680 "report_meter_value_calculation_ids": [
3681 "string"
3682 ]
3683 }
3684 ],
3685 "configs": [
3686 {
3687 "object_type": "string",
3688 "id": "string",
3689 "original_pricing_item_config_id": "string",
3690 "original_pricing_item_config": {},
3691 "details": {
3692 "billing_period": {
3693 "type": "DAY",
3694 "value": 1
3695 },
3696 "pricing_type": "FLAT",
3697 "pricing_period": {
3698 "type": "DAY",
3699 "value": 1
3700 },
3701 "bands": [
3702 {
3703 "amount": {
3704 "quantity": "string",
3705 "currency": "AED"
3706 },
3707 "percentage": "string",
3708 "credits": {
3709 "quantity": "string",
3710 "credit_type_id": "string"
3711 },
3712 "fixed_amount": {
3713 "quantity": "string",
3714 "currency": "AED"
3715 },
3716 "maximum_amount": {
3717 "quantity": "string",
3718 "currency": "AED"
3719 },
3720 "minimum_amount": {
3721 "quantity": "string",
3722 "currency": "AED"
3723 },
3724 "maximum_number": "string",
3725 "minimum_number": "string",
3726 "block_size": {
3727 "number": "string",
3728 "amount": {
3729 "quantity": {},
3730 "currency": {}
3731 },
3732 "count": "string"
3733 },
3734 "tier_top_bound": {
3735 "number": "string",
3736 "amount": {
3737 "quantity": {},
3738 "currency": {}
3739 },
3740 "count": "string"
3741 }
3742 }
3743 ]
3744 },
3745 "billing_period": {
3746 "type": "DAY",
3747 "value": 1
3748 },
3749 "pricing_period": {
3750 "type": "DAY",
3751 "value": 1
3752 },
3753 "default_included_volume": {
3754 "number": "string",
3755 "amount": {
3756 "quantity": "string",
3757 "currency": "AED"
3758 },
3759 "count": "string",
3760 "reset_type": "string"
3761 },
3762 "default_seats_value": {
3763 "number": "string",
3764 "amount": {
3765 "quantity": "string",
3766 "currency": "AED"
3767 },
3768 "count": "string"
3769 },
3770 "conditions": {
3771 "name": "string",
3772 "meter_properties": [
3773 {
3774 "id": "string",
3775 "reference": "string",
3776 "meter_property": {
3777 "object_type": "string",
3778 "id": "string",
3779 "reference": "string",
3780 "name": "string",
3781 "description": "string",
3782 "status": "DRAFT",
3783 "type": "NUMBER",
3784 "enum_values": [
3785 "string"
3786 ]
3787 },
3788 "value": "string",
3789 "values": [
3790 "string"
3791 ],
3792 "comparator": "EQUALS"
3793 }
3794 ],
3795 "configs": [
3796 {}
3797 ]
3798 },
3799 "order": 1,
3800 "billing_in_advance": true,
3801 "volume_group_reference": "string",
3802 "top_up": {
3803 "rollover": true
3804 },
3805 "split_pricing": {
3806 "meter_properties": [
3807 {
3808 "id": "string",
3809 "reference": "string",
3810 "value": "string",
3811 "meter_property": {
3812 "object_type": "string",
3813 "id": "string",
3814 "reference": "string",
3815 "name": "string",
3816 "description": "string",
3817 "status": "DRAFT",
3818 "type": "NUMBER",
3819 "enum_values": [
3820 "string"
3821 ]
3822 }
3823 }
3824 ]
3825 },
3826 "on_demand": true,
3827 "wallet_grants": [
3828 {
3829 "wallet_type_id": "string",
3830 "wallet_type": {
3831 "object_type": "string",
3832 "id": "string",
3833 "name": "string",
3834 "reference": "string",
3835 "status": "DRAFT",
3836 "type": "CREDIT",
3837 "credit": {
3838 "grant_type": "CREDITS",
3839 "amount_grant": {
3840 "default_currency": {},
3841 "tax_category": {}
3842 },
3843 "credits_grant": {
3844 "credit_type_id": {}
3845 }
3846 },
3847 "balance": {
3848 "default_currency": "string"
3849 },
3850 "created_at": "string",
3851 "updated_at": "string"
3852 },
3853 "amount_grant": {
3854 "amount": {
3855 "quantity": "string",
3856 "currency": "AED"
3857 },
3858 "percentage": "string"
3859 },
3860 "credits_grant": {
3861 "credits": {
3862 "quantity": "string",
3863 "credit_type_id": "string"
3864 },
3865 "conversion": "string"
3866 },
3867 "expiry_policy": {
3868 "expiry_period": {
3869 "type": "DAY",
3870 "value": 1
3871 }
3872 }
3873 }
3874 ],
3875 "type": "FLAT",
3876 "pricing_type": "FLAT",
3877 "bands": [
3878 {
3879 "amount": {
3880 "quantity": "string",
3881 "currency": "AED"
3882 },
3883 "percentage": "string",
3884 "credits": {
3885 "quantity": "string",
3886 "credit_type_id": "string"
3887 },
3888 "fixed_amount": {
3889 "quantity": "string",
3890 "currency": "AED"
3891 },
3892 "maximum_amount": {
3893 "quantity": "string",
3894 "currency": "AED"
3895 },
3896 "minimum_amount": {
3897 "quantity": "string",
3898 "currency": "AED"
3899 },
3900 "maximum_number": "string",
3901 "minimum_number": "string",
3902 "block_size": {
3903 "number": "string",
3904 "amount": {
3905 "quantity": "string",
3906 "currency": "AED"
3907 },
3908 "count": "string"
3909 },
3910 "tier_top_bound": {
3911 "number": "string",
3912 "amount": {
3913 "quantity": "string",
3914 "currency": "AED"
3915 },
3916 "count": "string"
3917 }
3918 }
3919 ]
3920 }
3921 ],
3922 "pricing_currency_configs": [
3923 {
3924 "currency": "AED",
3925 "configs": [
3926 {
3927 "object_type": "string",
3928 "id": "string",
3929 "original_pricing_item_config_id": "string",
3930 "original_pricing_item_config": {},
3931 "details": {
3932 "billing_period": {
3933 "type": "DAY",
3934 "value": 1
3935 },
3936 "pricing_type": "FLAT",
3937 "pricing_period": {
3938 "type": "DAY",
3939 "value": 1
3940 },
3941 "bands": [
3942 {
3943 "amount": {
3944 "quantity": {},
3945 "currency": {}
3946 },
3947 "percentage": "string",
3948 "credits": {
3949 "quantity": {},
3950 "credit_type_id": {}
3951 },
3952 "fixed_amount": {
3953 "quantity": {},
3954 "currency": {}
3955 },
3956 "maximum_amount": {
3957 "quantity": {},
3958 "currency": {}
3959 },
3960 "minimum_amount": {
3961 "quantity": {},
3962 "currency": {}
3963 },
3964 "maximum_number": "string",
3965 "minimum_number": "string",
3966 "block_size": {
3967 "number": {},
3968 "amount": {},
3969 "count": {}
3970 },
3971 "tier_top_bound": {
3972 "number": {},
3973 "amount": {},
3974 "count": {}
3975 }
3976 }
3977 ]
3978 },
3979 "billing_period": {
3980 "type": "DAY",
3981 "value": 1
3982 },
3983 "pricing_period": {
3984 "type": "DAY",
3985 "value": 1
3986 },
3987 "default_included_volume": {
3988 "number": "string",
3989 "amount": {
3990 "quantity": "string",
3991 "currency": "AED"
3992 },
3993 "count": "string",
3994 "reset_type": "string"
3995 },
3996 "default_seats_value": {
3997 "number": "string",
3998 "amount": {
3999 "quantity": "string",
4000 "currency": "AED"
4001 },
4002 "count": "string"
4003 },
4004 "conditions": {
4005 "name": "string",
4006 "meter_properties": [
4007 {
4008 "id": "string",
4009 "reference": "string",
4010 "meter_property": {
4011 "object_type": {},
4012 "id": {},
4013 "reference": {},
4014 "name": {},
4015 "description": {},
4016 "status": {},
4017 "type": {},
4018 "enum_values": {}
4019 },
4020 "value": "string",
4021 "values": [
4022 "string"
4023 ],
4024 "comparator": "EQUALS"
4025 }
4026 ],
4027 "configs": [
4028 {}
4029 ]
4030 },
4031 "order": 1,
4032 "billing_in_advance": true,
4033 "volume_group_reference": "string",
4034 "top_up": {
4035 "rollover": true
4036 },
4037 "split_pricing": {
4038 "meter_properties": [
4039 {
4040 "id": "string",
4041 "reference": "string",
4042 "value": "string",
4043 "meter_property": {
4044 "object_type": {},
4045 "id": {},
4046 "reference": {},
4047 "name": {},
4048 "description": {},
4049 "status": {},
4050 "type": {},
4051 "enum_values": {}
4052 }
4053 }
4054 ]
4055 },
4056 "on_demand": true,
4057 "wallet_grants": [
4058 {
4059 "wallet_type_id": "string",
4060 "wallet_type": {
4061 "object_type": "string",
4062 "id": "string",
4063 "name": "string",
4064 "reference": "string",
4065 "status": "DRAFT",
4066 "type": "CREDIT",
4067 "credit": {
4068 "grant_type": {},
4069 "amount_grant": {},
4070 "credits_grant": {}
4071 },
4072 "balance": {
4073 "default_currency": {}
4074 },
4075 "created_at": "string",
4076 "updated_at": "string"
4077 },
4078 "amount_grant": {
4079 "amount": {
4080 "quantity": {},
4081 "currency": {}
4082 },
4083 "percentage": "string"
4084 },
4085 "credits_grant": {
4086 "credits": {
4087 "quantity": {},
4088 "credit_type_id": {}
4089 },
4090 "conversion": "string"
4091 },
4092 "expiry_policy": {
4093 "expiry_period": {
4094 "type": {},
4095 "value": {}
4096 }
4097 }
4098 }
4099 ],
4100 "type": "FLAT",
4101 "pricing_type": "FLAT",
4102 "bands": [
4103 {
4104 "amount": {
4105 "quantity": "string",
4106 "currency": "AED"
4107 },
4108 "percentage": "string",
4109 "credits": {
4110 "quantity": "string",
4111 "credit_type_id": "string"
4112 },
4113 "fixed_amount": {
4114 "quantity": "string",
4115 "currency": "AED"
4116 },
4117 "maximum_amount": {
4118 "quantity": "string",
4119 "currency": "AED"
4120 },
4121 "minimum_amount": {
4122 "quantity": "string",
4123 "currency": "AED"
4124 },
4125 "maximum_number": "string",
4126 "minimum_number": "string",
4127 "block_size": {
4128 "number": "string",
4129 "amount": {
4130 "quantity": {},
4131 "currency": {}
4132 },
4133 "count": "string"
4134 },
4135 "tier_top_bound": {
4136 "number": "string",
4137 "amount": {
4138 "quantity": {},
4139 "currency": {}
4140 },
4141 "count": "string"
4142 }
4143 }
4144 ]
4145 }
4146 ],
4147 "billing_period_configs": [
4148 {
4149 "billing_period": {
4150 "type": "DAY",
4151 "value": 1
4152 },
4153 "configs": [
4154 {
4155 "object_type": "string",
4156 "id": "string",
4157 "original_pricing_item_config_id": "string",
4158 "original_pricing_item_config": {},
4159 "details": {
4160 "billing_period": {
4161 "type": {},
4162 "value": {}
4163 },
4164 "pricing_type": "FLAT",
4165 "pricing_period": {
4166 "type": {},
4167 "value": {}
4168 },
4169 "bands": [
4170 {
4171 "amount": {},
4172 "percentage": {},
4173 "credits": {},
4174 "fixed_amount": {},
4175 "maximum_amount": {},
4176 "minimum_amount": {},
4177 "maximum_number": {},
4178 "minimum_number": {},
4179 "block_size": {},
4180 "tier_top_bound": {}
4181 }
4182 ]
4183 },
4184 "billing_period": {
4185 "type": "DAY",
4186 "value": 1
4187 },
4188 "pricing_period": {
4189 "type": "DAY",
4190 "value": 1
4191 },
4192 "default_included_volume": {
4193 "number": "string",
4194 "amount": {
4195 "quantity": {},
4196 "currency": {}
4197 },
4198 "count": "string",
4199 "reset_type": "string"
4200 },
4201 "default_seats_value": {
4202 "number": "string",
4203 "amount": {
4204 "quantity": {},
4205 "currency": {}
4206 },
4207 "count": "string"
4208 },
4209 "conditions": {
4210 "name": "string",
4211 "meter_properties": [
4212 {
4213 "id": {},
4214 "reference": {},
4215 "meter_property": {},
4216 "value": {},
4217 "values": {},
4218 "comparator": {}
4219 }
4220 ],
4221 "configs": [
4222 {}
4223 ]
4224 },
4225 "order": 1,
4226 "billing_in_advance": true,
4227 "volume_group_reference": "string",
4228 "top_up": {
4229 "rollover": true
4230 },
4231 "split_pricing": {
4232 "meter_properties": [
4233 {
4234 "id": {},
4235 "reference": {},
4236 "value": {},
4237 "meter_property": {}
4238 }
4239 ]
4240 },
4241 "on_demand": true,
4242 "wallet_grants": [
4243 {
4244 "wallet_type_id": "string",
4245 "wallet_type": {
4246 "object_type": {},
4247 "id": {},
4248 "name": {},
4249 "reference": {},
4250 "status": {},
4251 "type": {},
4252 "credit": {},
4253 "balance": {},
4254 "created_at": {},
4255 "updated_at": {}
4256 },
4257 "amount_grant": {
4258 "amount": {},
4259 "percentage": {}
4260 },
4261 "credits_grant": {
4262 "credits": {},
4263 "conversion": {}
4264 },
4265 "expiry_policy": {
4266 "expiry_period": {}
4267 }
4268 }
4269 ],
4270 "type": "FLAT",
4271 "pricing_type": "FLAT",
4272 "bands": [
4273 {
4274 "amount": {
4275 "quantity": {},
4276 "currency": {}
4277 },
4278 "percentage": "string",
4279 "credits": {
4280 "quantity": {},
4281 "credit_type_id": {}
4282 },
4283 "fixed_amount": {
4284 "quantity": {},
4285 "currency": {}
4286 },
4287 "maximum_amount": {
4288 "quantity": {},
4289 "currency": {}
4290 },
4291 "minimum_amount": {
4292 "quantity": {},
4293 "currency": {}
4294 },
4295 "maximum_number": "string",
4296 "minimum_number": "string",
4297 "block_size": {
4298 "number": {},
4299 "amount": {},
4300 "count": {}
4301 },
4302 "tier_top_bound": {
4303 "number": {},
4304 "amount": {},
4305 "count": {}
4306 }
4307 }
4308 ]
4309 }
4310 ]
4311 }
4312 ],
4313 "fallback_currency": "AED"
4314 }
4315 ],
4316 "billing_period_configs": [
4317 {
4318 "billing_period": {
4319 "type": "DAY",
4320 "value": 1
4321 },
4322 "configs": [
4323 {
4324 "object_type": "string",
4325 "id": "string",
4326 "original_pricing_item_config_id": "string",
4327 "original_pricing_item_config": {},
4328 "details": {
4329 "billing_period": {
4330 "type": "DAY",
4331 "value": 1
4332 },
4333 "pricing_type": "FLAT",
4334 "pricing_period": {
4335 "type": "DAY",
4336 "value": 1
4337 },
4338 "bands": [
4339 {
4340 "amount": {
4341 "quantity": {},
4342 "currency": {}
4343 },
4344 "percentage": "string",
4345 "credits": {
4346 "quantity": {},
4347 "credit_type_id": {}
4348 },
4349 "fixed_amount": {
4350 "quantity": {},
4351 "currency": {}
4352 },
4353 "maximum_amount": {
4354 "quantity": {},
4355 "currency": {}
4356 },
4357 "minimum_amount": {
4358 "quantity": {},
4359 "currency": {}
4360 },
4361 "maximum_number": "string",
4362 "minimum_number": "string",
4363 "block_size": {
4364 "number": {},
4365 "amount": {},
4366 "count": {}
4367 },
4368 "tier_top_bound": {
4369 "number": {},
4370 "amount": {},
4371 "count": {}
4372 }
4373 }
4374 ]
4375 },
4376 "billing_period": {
4377 "type": "DAY",
4378 "value": 1
4379 },
4380 "pricing_period": {
4381 "type": "DAY",
4382 "value": 1
4383 },
4384 "default_included_volume": {
4385 "number": "string",
4386 "amount": {
4387 "quantity": "string",
4388 "currency": "AED"
4389 },
4390 "count": "string",
4391 "reset_type": "string"
4392 },
4393 "default_seats_value": {
4394 "number": "string",
4395 "amount": {
4396 "quantity": "string",
4397 "currency": "AED"
4398 },
4399 "count": "string"
4400 },
4401 "conditions": {
4402 "name": "string",
4403 "meter_properties": [
4404 {
4405 "id": "string",
4406 "reference": "string",
4407 "meter_property": {
4408 "object_type": {},
4409 "id": {},
4410 "reference": {},
4411 "name": {},
4412 "description": {},
4413 "status": {},
4414 "type": {},
4415 "enum_values": {}
4416 },
4417 "value": "string",
4418 "values": [
4419 "string"
4420 ],
4421 "comparator": "EQUALS"
4422 }
4423 ],
4424 "configs": [
4425 {}
4426 ]
4427 },
4428 "order": 1,
4429 "billing_in_advance": true,
4430 "volume_group_reference": "string",
4431 "top_up": {
4432 "rollover": true
4433 },
4434 "split_pricing": {
4435 "meter_properties": [
4436 {
4437 "id": "string",
4438 "reference": "string",
4439 "value": "string",
4440 "meter_property": {
4441 "object_type": {},
4442 "id": {},
4443 "reference": {},
4444 "name": {},
4445 "description": {},
4446 "status": {},
4447 "type": {},
4448 "enum_values": {}
4449 }
4450 }
4451 ]
4452 },
4453 "on_demand": true,
4454 "wallet_grants": [
4455 {
4456 "wallet_type_id": "string",
4457 "wallet_type": {
4458 "object_type": "string",
4459 "id": "string",
4460 "name": "string",
4461 "reference": "string",
4462 "status": "DRAFT",
4463 "type": "CREDIT",
4464 "credit": {
4465 "grant_type": {},
4466 "amount_grant": {},
4467 "credits_grant": {}
4468 },
4469 "balance": {
4470 "default_currency": {}
4471 },
4472 "created_at": "string",
4473 "updated_at": "string"
4474 },
4475 "amount_grant": {
4476 "amount": {
4477 "quantity": {},
4478 "currency": {}
4479 },
4480 "percentage": "string"
4481 },
4482 "credits_grant": {
4483 "credits": {
4484 "quantity": {},
4485 "credit_type_id": {}
4486 },
4487 "conversion": "string"
4488 },
4489 "expiry_policy": {
4490 "expiry_period": {
4491 "type": {},
4492 "value": {}
4493 }
4494 }
4495 }
4496 ],
4497 "type": "FLAT",
4498 "pricing_type": "FLAT",
4499 "bands": [
4500 {
4501 "amount": {
4502 "quantity": "string",
4503 "currency": "AED"
4504 },
4505 "percentage": "string",
4506 "credits": {
4507 "quantity": "string",
4508 "credit_type_id": "string"
4509 },
4510 "fixed_amount": {
4511 "quantity": "string",
4512 "currency": "AED"
4513 },
4514 "maximum_amount": {
4515 "quantity": "string",
4516 "currency": "AED"
4517 },
4518 "minimum_amount": {
4519 "quantity": "string",
4520 "currency": "AED"
4521 },
4522 "maximum_number": "string",
4523 "minimum_number": "string",
4524 "block_size": {
4525 "number": "string",
4526 "amount": {
4527 "quantity": {},
4528 "currency": {}
4529 },
4530 "count": "string"
4531 },
4532 "tier_top_bound": {
4533 "number": "string",
4534 "amount": {
4535 "quantity": {},
4536 "currency": {}
4537 },
4538 "count": "string"
4539 }
4540 }
4541 ]
4542 }
4543 ]
4544 }
4545 ],
4546 "display_order": 1
4547 }
4548 ]
4549 }
4550 ],
4551 "pricing_groups": [
4552 {
4553 "object_type": "string",
4554 "id": "string",
4555 "pricing_plan_version_id": "string",
4556 "name": "string",
4557 "product_type": "DEFAULT",
4558 "selection_constraint": "ANY",
4559 "display_order": 1,
4560 "pricings": [
4561 {
4562 "object_type": "string",
4563 "id": "string",
4564 "pricing_plan_version_id": "string",
4565 "pricing_plan_schedule_id": "string",
4566 "pricing_group_id": "string",
4567 "original_pricing_id": "string",
4568 "original_pricing": {},
4569 "override": "ALL",
4570 "name": "string",
4571 "product_type": "DEFAULT",
4572 "product_ids": [
4573 "string"
4574 ],
4575 "display_order": 1,
4576 "products": [
4577 {
4578 "object_type": "string",
4579 "id": "string",
4580 "category_id": "string",
4581 "category": {
4582 "object_type": "string",
4583 "id": "string",
4584 "name": "string",
4585 "reference": "string",
4586 "description": "string",
4587 "tax_category": "STANDARD",
4588 "display_order": 1,
4589 "customer_id": "string"
4590 },
4591 "parent_product_id": "string",
4592 "name": "string",
4593 "reference": "string",
4594 "description": "string",
4595 "status": "DRAFT",
4596 "product_type": "DEFAULT",
4597 "tax_category": "STANDARD",
4598 "features": [
4599 {
4600 "id": "string",
4601 "reference": "string"
4602 }
4603 ],
4604 "custom_fields": [
4605 {
4606 "id": "string",
4607 "reference": "string",
4608 "value": "string",
4609 "values": [
4610 "string"
4611 ],
4612 "integration_details": {
4613 "id": "string",
4614 "reference": "string",
4615 "payment_gateway_variant": "ADYEN",
4616 "adyen": {
4617 "recurring_detail_reference": "string"
4618 },
4619 "stripe": {
4620 "payment_method_id": "string"
4621 }
4622 }
4623 }
4624 ],
4625 "display_order": 1,
4626 "linked_integrations": [
4627 {
4628 "id": "string",
4629 "link_details": [
4630 {
4631 "url": "string",
4632 "custom_field_name": "string"
4633 }
4634 ]
4635 }
4636 ],
4637 "billing_entity_id": "string",
4638 "customer_id": "string"
4639 }
4640 ],
4641 "entitlements": [
4642 {
4643 "feature_id": "string",
4644 "feature": {
4645 "object_type": "string",
4646 "id": "string",
4647 "reference": "string",
4648 "name": "string",
4649 "description": "string",
4650 "type": "SWITCH",
4651 "enum_values": [
4652 "string"
4653 ],
4654 "meter_value_calculation_id": "string",
4655 "meter_value_calculation": {
4656 "object_type": "string",
4657 "id": "string",
4658 "reference": "string",
4659 "name": "string",
4660 "description": "string",
4661 "calculation_type": "SUM",
4662 "persist": true,
4663 "meter_id": "string",
4664 "meter": {
4665 "object_type": "string",
4666 "id": "string",
4667 "reference": "string",
4668 "name": "string",
4669 "description": "string",
4670 "status": "DRAFT",
4671 "meter_values": [
4672 {
4673 "id": {},
4674 "object": {},
4675 "required": {}
4676 }
4677 ],
4678 "meter_properties": [
4679 {
4680 "id": {},
4681 "object": {},
4682 "required": {}
4683 }
4684 ]
4685 },
4686 "meter_value_id": "string",
4687 "meter_value": {
4688 "object_type": "string",
4689 "id": "string",
4690 "reference": "string",
4691 "name": "string",
4692 "description": "string",
4693 "status": "DRAFT",
4694 "type": "NUMBER"
4695 },
4696 "meter_property_id": "string",
4697 "meter_property": {
4698 "object_type": "string",
4699 "id": "string",
4700 "reference": "string",
4701 "name": "string",
4702 "description": "string",
4703 "status": "DRAFT",
4704 "type": "NUMBER",
4705 "enum_values": [
4706 "string"
4707 ]
4708 }
4709 }
4710 },
4711 "feature_reference": "string",
4712 "override": true,
4713 "number": "string",
4714 "switch": true,
4715 "amount": {
4716 "quantity": "string",
4717 "currency": "AED"
4718 },
4719 "enum": "string",
4720 "string": "string",
4721 "overwrite": true
4722 }
4723 ],
4724 "items": [
4725 {
4726 "object_type": "string",
4727 "id": "string",
4728 "original_pricing_item_id": "string",
4729 "original_pricing_item": {},
4730 "override": "ALL",
4731 "product_item_ids": [
4732 "string"
4733 ],
4734 "product_items": [
4735 {
4736 "object_type": "string",
4737 "id": "string",
4738 "product_id": "string",
4739 "product": {
4740 "object_type": "string",
4741 "id": "string",
4742 "category_id": "string",
4743 "category": {
4744 "object_type": "string",
4745 "id": "string",
4746 "name": "string",
4747 "reference": "string",
4748 "description": "string",
4749 "tax_category": "STANDARD",
4750 "display_order": 1,
4751 "customer_id": "string"
4752 },
4753 "parent_product_id": "string",
4754 "name": "string",
4755 "reference": "string",
4756 "description": "string",
4757 "status": "DRAFT",
4758 "product_type": "DEFAULT",
4759 "tax_category": "STANDARD",
4760 "features": [
4761 {
4762 "id": "string",
4763 "reference": "string"
4764 }
4765 ],
4766 "custom_fields": [
4767 {
4768 "id": "string",
4769 "reference": "string",
4770 "value": "string",
4771 "values": [
4772 "string"
4773 ],
4774 "integration_details": {
4775 "id": {},
4776 "reference": {},
4777 "payment_gateway_variant": {},
4778 "adyen": {},
4779 "stripe": {}
4780 }
4781 }
4782 ],
4783 "display_order": 1,
4784 "linked_integrations": [
4785 {
4786 "id": "string",
4787 "link_details": [
4788 {
4789 "url": {},
4790 "custom_field_name": {}
4791 }
4792 ]
4793 }
4794 ],
4795 "billing_entity_id": "string",
4796 "customer_id": "string"
4797 },
4798 "name": "string",
4799 "status": "DRAFT",
4800 "reference": "string",
4801 "description": "string",
4802 "type": "REVENUE",
4803 "model_type": "USAGE_BASED",
4804 "usage_based": {
4805 "meter_value_calculation_id": "string",
4806 "meter_value_calculation": {
4807 "object_type": "string",
4808 "id": "string",
4809 "reference": "string",
4810 "name": "string",
4811 "description": "string",
4812 "calculation_type": "SUM",
4813 "persist": true,
4814 "meter_id": "string",
4815 "meter": {
4816 "object_type": {},
4817 "id": {},
4818 "reference": {},
4819 "name": {},
4820 "description": {},
4821 "status": {},
4822 "meter_values": {},
4823 "meter_properties": {}
4824 },
4825 "meter_value_id": "string",
4826 "meter_value": {
4827 "object_type": {},
4828 "id": {},
4829 "reference": {},
4830 "name": {},
4831 "description": {},
4832 "status": {},
4833 "type": {}
4834 },
4835 "meter_property_id": "string",
4836 "meter_property": {
4837 "object_type": {},
4838 "id": {},
4839 "reference": {},
4840 "name": {},
4841 "description": {},
4842 "status": {},
4843 "type": {},
4844 "enum_values": {}
4845 }
4846 },
4847 "tiering_meter_value_calculation_id": "string",
4848 "tiering_meter_value_calculation": {
4849 "object_type": "string",
4850 "id": "string",
4851 "reference": "string",
4852 "name": "string",
4853 "description": "string",
4854 "calculation_type": "SUM",
4855 "persist": true,
4856 "meter_id": "string",
4857 "meter": {
4858 "object_type": {},
4859 "id": {},
4860 "reference": {},
4861 "name": {},
4862 "description": {},
4863 "status": {},
4864 "meter_values": {},
4865 "meter_properties": {}
4866 },
4867 "meter_value_id": "string",
4868 "meter_value": {
4869 "object_type": {},
4870 "id": {},
4871 "reference": {},
4872 "name": {},
4873 "description": {},
4874 "status": {},
4875 "type": {}
4876 },
4877 "meter_property_id": "string",
4878 "meter_property": {
4879 "object_type": {},
4880 "id": {},
4881 "reference": {},
4882 "name": {},
4883 "description": {},
4884 "status": {},
4885 "type": {},
4886 "enum_values": {}
4887 }
4888 },
4889 "report_meter_value_calculation_ids": [
4890 "string"
4891 ],
4892 "conditions": {
4893 "name": "string",
4894 "expression": {
4895 "operator": {},
4896 "operands": {}
4897 },
4898 "meter_properties": [
4899 {
4900 "id": {},
4901 "reference": {},
4902 "meter_property": {},
4903 "value": {},
4904 "values": {},
4905 "comparator": {}
[...]
